# ----------------------------------------------------------------------
# Dictionary which contains a key, value pair for each country. Each key
# is the regex pattern for the country and the values are the metrics.
# ----------------------------------------------------------------------

regex_dict = {
    "afghanistan|^AF$|^AFG$": [
         "Afghanistan", "Afghanistan", "UN member state", "AF", "AFG", 4,
         ".af", "+93", 34.095632, 66.26486, "34°5′44.3″N", "66°15′53.5″E",
         "Asia", "Southern Asia", "🇦🇫", 652230.0, 652230.0, 0.0, "Kabul",
         34.5253, 69.1783, "34°31′31″N", "69°10′42″E", 38928341.0,
         19807067268.1084, 508.8084, 2087.6364, False, False,
         False, "Afghan afghani", "؋", "AFN", "", 0.4, 0.511,
         "Afghanistan",
    ],
    "albania|^AL$|^ALB$": [
         "Albania", "Albania", "UN member state", "AL", "ALB", 8, ".al",
         "+355", 41.1413, 19.978775, "41°8′28.7″N", "19°58′43.6″E",
         "Europe", "Southern Europe", "🇦🇱", 28748.0, 27398.0, 1350.0,
         "Tirana", 41.3289, 19.8178, "41°19′44″N", "19°49′04″E",
         2837743.0, 14799615097.1008, 5215.2768, 13817.759, False,
         False, False, "Albanian lek", "L", "ALL", 33.2, 0.634,
         0.795, "Albanien",
    ],
    "algeria|^DZ$|^DZA$": [
         "Algeria", "Algeria", "UN member state", "DZ", "DZA", 12, ".dz",
         "+213", 28.033886, 1.659626, "28°2′2.0″N", "1°39′34.7″E",
         "Africa", "Northern Africa", "🇩🇿", 2381740.0, 2381740.0, 0.0,
         "Algiers", 36.7539, 3.0589, "36°45′14″N", "3°3′32″E",
         43851043.0, 145163902228.168, 3310.3865, 11268.2645, False,
         False, False, "Algerian dinar", "د.ج", "DZD", 27.6, 0.535,
         0.748, "Algeriet",
    ],
    "^(?=.*america).*samoa.*|^AS$|^ASM$": [
         "American Samoa", "American Samoa", "United States of America", "AS",
         "ASM", 16, ".as", "+1 684", -14.270972, -170.132217,
         "14°16′15.5″S", "170°7′56.0″W", "Oceania", "Polynesia", "🇦🇸", 224.0,
         224.0, 0.0, "Pago Pago", -14.2794, -170.7006, "14°16′46″S",
         "170°42′02″W", 55197.0, "", "", "", False, False, False,
         "United States dollar", "$", "USD", "", "", "", "Amerikanska Samoa",
    ],
    "andorra|^AD$|^AND$": [
         "Andorra", "Andorra", "UN member state", "AD", "AND", 20, ".ad",
         "+376", 42.546245, 1.601554, "42°32′46.5″N", "1°36′5.6″E",
         "Europe", "Southern Europe", "🇦🇩", 468.0, 468.0, 0.0,
         "Andorra la Vella", 42.5, 1.5, "42°30′N", "01°30′E", 77265.0,
         "", "", "", False, False, False, "Euro", "€", "EUR", "", "",
         0.868, "Andorra",
    ],
    "angola|^AO$|^AGO$": [
         "Angola", "Angola", "UN member state", "AO", "AGO", 24, ".ao",
         "+244", -12.275669, 17.995442, "12°16′32.4″S", "17°59′43.6″E",
         "Africa", "Middle Africa", "🇦🇴", 1246700.0, 1246700.0, 0.0,
         "Luanda", -8.8383, 13.2344, "8°50′18″S", "13°14′04″E",
         32866268.0, 62306913444.2917, 1895.7709, 6538.4521, False,
         False, False, "Angolan kwanza", "Kz", "AOA", 51.3, 0.362,
         0.581, "Angola",
    ],
    "anguilla|^AI$|^AIA$": [
         "Anguilla", "Anguilla", "United Kingdom", "AI", "AIA", 660, ".ai",
         "+1 264", 18.223002, -63.049885, "18°13′22.8″N", "63°2′59.6″W",
         "North America", "Caribbean", "🇦🇮", 91.0, 91.0, 0.0,
         "The Valley", 18.2208, -63.0517, "18°13′15″N", "63°03′06″W", "",
         "", "", "", False, False, False, "Eastern Caribbean dollar",
         "$", "XCD", "", "", "", "Anguilla",
    ],
    "antarctic|^AQ$|^ATA$": [
         "Antarctica", "Antarctica", "Antartic Treaty", "AQ", "ATA", 10,
         ".aq", "+672", -75.250973, -0.071389, "75°15′3.5″S", "0°4′17.0″W",
         "", "", "🇦🇶", 14200000.0, "", "", "", "", "", "", "", "", "", "",
         "", False, False, False, "", "", "", "", "", "", "Antarktis",
    ],
    "antigua|barbuda|^AG$|^ATG$": [
         "Antigua and Barbuda", "Antigua and Barbuda", "UN member state", "AG",
         "ATG", 28, ".ag", "+1 268", 17.060816, -61.796428,
         "17°3′38.9″N", "61°47′47.1″W", "North America", "Caribbean", "🇦🇬",
         442.6, 442.6, 0.0, "St. John's", 17.1167, -61.85, "17°07′N",
         "61°51′W", 97928.0, 1415059259.25926, 14449.9965, 18942.3881,
         False, False, False, "Eastern Caribbean dollar", "$", "XCD", "",
         0.596, 0.778, "Antigua och Barbuda",
    ],
    "argentina|^AR$|^ARG$": [
         "Argentina", "Argentina", "UN member state", "AR", "ARG", 32, ".ar",
         "+54", -35.581245, -64.285895, "35°34′52.5″S", "64°17′9.2″W",
         "South America", "South America", "🇦🇷", 2780400.0, 2736690.0,
         43710.0, "Buenos Aires", -34.6033, -58.3817, "34°36′12″S",
         "58°22′54″W", 45376763.0, 383066977653.56, 8441.9194,
         20767.6105, False, False, False, "Argentine peso", "$", "ARS",
         42.9, 0.602, 0.845, "Argentina",
    ],
    "armenia|^AM$|^ARM$": [
         "Armenia", "Armenia", "UN member state", "AM", "ARM", 51, ".am",
         "+374", 40.255271, 44.96784, "40°15′19.0″N", "44°58′4.2″E",
         "Asia", "Western Asia", "🇦🇲", 29743.0, 28203.0, 1540.0,
         "Yerevan", 40.1814, 44.5144, "40°10′53″N", "44°30′52″E",
         2963234.0, 12645459213.5235, 4267.4521, 13284.1608, False,
         False, False, "Armenian dram", "֏", "AMD", 29.9, 0.579,
         0.776, "Armenien",
    ],
    "aruba|^AW$|^ABW$": [
         "Aruba", "Aruba", "Netherlands", "AW", "ABW", 533, ".aw", "+297",
         12.52111, -69.968338, "12°31′16.0″N", "69°58′6.0″W",
         "North America", "Caribbean", "🇦🇼", 180.0, 180.0, 0.0,
         "Oranjestad", 12.5186, -70.0358, "12°31′07″N", "70°02′09″W",
         106766.0, "", "", "", False, False, False, "Aruban florin",
         "ƒ", "AWG", "", "", "", "Aruba",
    ],
    "australia|^AU$|^AUS$": [
         "Australia", "Australia", "UN member state", "AU", "AUS", 36, ".au",
         "+61", -25.274398, 133.775136, "25°16′27.8″S", "133°46′30.5″E",
         "Oceania", "Australia and New Zealand", "🇦🇺", 7741220.0,
         7682300.0, 58920.0, "Canberra", -35.2931, 149.1269,
         "35°17′35″S", "149°07′37″E", 25687041.0, 1330900925056.98,
         51812.154, 52518.3245, True, False, False,
         "Australian dollar", "$", "AUD", 34.4, 0.77, 0.944,
         "Australien",
    ],
    "austria|^AT$|^AUT$": [
         "Austria", "Austria", "UN member state", "AT", "AUT", 40, ".at",
         "+43", 47.581819, 14.157768, "47°34′54.5″N", "14°9′28.0″E",
         "Europe", "Western Europe", "🇦🇹", 83871.0, 82445.0, 1426.0,
         "Vienna", 48.2, 16.3667, "48°12′N", "16°22′E", 8917205.0,
         428965397959.456, 48105.3646, 55097.4612, True, True,
         True, "Euro", "€", "EUR", 30.8, 0.747, 0.922, "Österrike",
    ],
    "azerbaijan|^AZ$|^AZE$": [
         "Azerbaijan", "Azerbaijan", "UN member state", "AZ", "AZE", 31,
         ".az", "+994", 40.484555, 47.739592, "40°29′4.4″N",
         "47°44′22.5″E", "Asia", "Western Asia", "🇦🇿", 86600.0, 82629.0,
         3971.0, "Baku", 40.3953, 49.8822, "40°23′43″N", "49°52′56″E",
         10110116.0, 42607176470.5882, 4214.3113, 14451.9837, False,
         False, False, "Azerbaijani manat", "₼", "AZN", 26.6, 0.578,
         0.756, "Azerbajdzjan",
    ],
    ".*bahamas|^BS$|^BHS$": [
         "Bahamas (the)", "Bahamas", "UN member state", "BS", "BHS", 44,
         ".bs", "+1 242", 25.03428, -77.39628, "25°2′3.4″N",
         "77°23′46.6″W", "North America", "Caribbean", "🇧🇸", 13880.0,
         10010.0, 3870.0, "Nassau", 25.0667, -77.3333, "25°4′N",
         "77°20′W", 393248.0, 11250000000.0, 28607.9014, 32453.5296,
         False, False, False, "Bahamian dollar", "$", "BSD", "", "",
         0.814, "Bahamas",
    ],
    "bahrain|^BH$|^BHR$": [
         "Bahrain", "Bahrain", "UN member state", "BH", "BHR", 48, ".bh",
         "+973", 26.059835, 50.550507, "26°3′35.4″N", "50°33′1.8″E",
         "Asia", "Western Asia", "🇧🇭", 760.0, 760.0, 0.0, "Manama",
         26.225, 50.5775, "26°13′30″N", "50°34′39″E", 1701583.0, "", "",
         43181.2106, False, False, False, "Bahraini dinar", ".د.ب",
         "BHD", "", 0.652, 0.852, "Bahrain",
    ],
    "bangladesh|^BD$|^BGD$": [
         "Bangladesh", "Bangladesh", "UN member state", "BD", "BGD", 50,
         ".bd", "+880", 23.684994, 90.356331, "23°41′6.0″N",
         "90°21′22.8″E", "Asia", "Southern Asia", "🇧🇩", 148460.0, 130170.0,
         18290.0, "Dhaka", 23.7639, 90.3889, "23°45′50″N", "90°23′20″E",
         164689383.0, 324239176765.053, 1968.7922, 5082.6808, False,
         False, False, "Bangladeshi taka", "৳", "BDT", 32.4, 0.464,
         0.632, "Bangladesh",
    ],
    "barbados|^BB$|^BRB$": [
         "Barbados", "Barbados", "UN member state", "BB", "BRB", 52, ".bb",
         "+1 246", 13.169054, -59.555174, "13°10′8.6″N", "59°33′18.6″W",
         "North America", "Caribbean", "🇧🇧", 430.0, 430.0, 0.0,
         "Bridgetown", 13.0975, -59.6167, "13°05′51″N", "59°37′00″W",
         287371.0, 4365500000.0, 15191.164, 13576.8018, False,
         False, False, "Barbadian dollar", "$", "BBD", "", "", 0.814,
         "Barbados",
    ],
    "belarus|^BY$|^BLR$": [
         "Belarus", "Belarus", "UN member state", "BY", "BLR", 112, ".by",
         "+375", 53.709807, 27.953389, "53°42′35.3″N", "27°57′12.2″E",
         "Europe", "Eastern Europe", "🇧🇾", 207600.0, 202900.0, 4700.0,
         "Minsk", 53.9, 27.5667, "53°54′N", "27°34′E", 9398861.0,
         60258239055.5829, 6411.2278, 20199.6985, False, False,
         False, "Belarusian ruble", "Br", "BYN", 25.3, 0.7, 0.823,
         "Belarus",
    ],
    "belgium|^BE$|^BEL$": [
         "Belgium", "Belgium", "UN member state", "BE", "BEL", 56, ".be",
         "+32", 50.743715, 4.544685, "50°44′37.4″N", "4°32′40.9″E",
         "Europe", "Western Europe", "🇧🇪", 30528.0, 30278.0, 250.0,
         "Brussels", 50.8467, 4.3525, "50°50′48″N", "04°21′09″E",
         11555997.0, 515332499627.861, 44594.3781, 51968.192, True,
         True, True, "Euro", "€", "EUR", 27.2, 0.76, 0.931,
         "Belgien",
    ],
    "belize|^BZ$|^BLZ$": [
         "Belize", "Belize", "UN member state", "BZ", "BLZ", 84, ".bz",
         "+501", 17.040101, -88.682464, "17°2′24.4″N", "88°40′56.9″W",
         "North America", "Central America", "🇧🇿", 22966.0, 22806.0,
         160.0, "Belmopan", 17.2514, -88.7669, "17°15′5″N", "88°46′1″W",
         397621.0, 1763696118.9519, 4435.6212, 6455.9618, False,
         False, False, "Belize dollar", "$", "BZD", "", "", 0.716,
         "Belize",
    ],
    "benin|^BJ$|^BEN$": [
         "Benin", "Benin", "UN member state", "BJ", "BEN", 204, ".bj",
         "+229", 9.30769, 2.315834, "9°18′27.7″N", "2°18′57.0″E", "Africa",
         "Western Africa", "🇧🇯", 112622.0, 110622.0, 2000.0,
         "Porto-Novo", 6.4972, 2.605, "6°29′50″N", "2°36′18″E",
         12123198.0, 15651545208.8783, 1291.041, 3505.6352, False,
         False, False, "West African CFA franc", "Fr", "XOF", 47.8,
         0.4, 0.545, "Benin",
    ],
    "bermuda|^BM$|^BMU$": [
         "Bermuda", "Bermuda", "United Kingdom", "BM", "BMU", 60, ".bm",
         "+1 441", 32.306898, -64.753478, "32°18′24.8″N", "64°45′12.5″W",
         "North America", "Northern America", "🇧🇲", 54.0, 54.0, 0.0,
         "Hamilton", 32.2931, -64.7819, "32°17′35″N", "64°46′55″W",
         63903.0, "", "", "", False, False, False, "Bermudian dollar",
         "$", "BMD", "", "", "", "Bermuda",
    ],
    "bhutan|^BT$|^BTN$": [
         "Bhutan", "Bhutan", "UN member state", "BT", "BTN", 64, ".bt",
         "+975", 27.514162, 90.433601, "27°30′51.0″N", "90°26′1.0″E",
         "Asia", "Southern Asia", "🇧🇹", 38394.0, 38394.0, 0.0, "Thimphu",
         27.4722, 89.6361, "27°28′20″N", "89°38′10″E", 771612.0,
         2409262838.21987, 3122.3761, 11508.1742, False, False,
         False, "Bhutanese ngultrum", "Nu.", "BTN", 37.4, 0.475, 0.654,
         "Bhutan",
    ],
    ".*bolivia|^BO$|^BOL$": [
         "Bolivia (Plurinational State of)", "Bolivia", "UN member state",
         "BO", "BOL", 68, ".bo", "+591", -16.564784, -64.25347,
         "16°33′53.2″S", "64°15′12.5″W", "South America", "South America",
         "🇧🇴", 1098581.0, 1083301.0, 15280.0, "Sucre", -19.05,
         -65.25, "19°3′0″S", "65°15′0″W", 11673029.0, 36688861202.6049,
         3143.0455, 8367.3272, False, False, False,
         "Bolivian boliviano", "Bs.", "BOB", 41.6, "", 0.718, "Bolivia",
    ],
    ".*bonaire|^BQ$|^BES$": [
         "Bonaire, Sint Eustatius and Saba",
         "Bonaire, Sint Eustatius and Saba", "Netherlands", "BQ", "BES", 535,
         ".bq", "+599", 12.18626, -68.258323, "12°11′10.5″N",
         "68°15′30.0″W", "North America", "Caribbean", "🇧🇶", "", "", "", "",
         "", "", "", "", "", "", "", "", False, False, False,
         "United States dollar", "$", "USD", "", "", "",
         "Bonaire, Sint Eustatius and Saba",
    ],
    "bosnia|herzegovina|^BA$|^BIH$": [
         "Bosnia and Herzegovina", "Bosnia and Herzegovina", "UN member state",
         "BA", "BIH", 70, ".ba", "+387", 44.273078, 17.89616,
         "44°16′23.1″N", "17°53′46.2″E", "Europe", "Southern Europe", "🇧🇦",
         51197.0, 51187.0, 10.0, "Sarajevo", 43.8667, 18.4167,
         "43°52′N", "18°25′E", 3280815.0, 19788422248.1072, 6031.5569,
         15611.7913, False, False, False,
         "Bosnia and Herzegovina convertible mark", "KM", "BAM", 33.0,
         0.58, 0.78, "Bosnien och Hercegovina",
    ],
    "botswana|^BW$|^BWA$": [
         "Botswana", "Botswana", "UN member state", "BW", "BWA", 72, ".bw",
         "+267", -22.328474, 24.684866, "22°19′42.5″S", "24°41′5.5″E",
         "Africa", "Southern Africa", "🇧🇼", 581730.0, 566730.0, 15000.0,
         "Gaborone", -24.6581, 25.9122, "24°39′29″S", "25°54′44″E",
         2351625.0, 15781732825.8934, 6710.9904, 16920.8467, False,
         False, False, "Botswana pula", "P", "BWP", 53.3, 0.414,
         0.735, "Botswana",
    ],
    "bouvet|^BV$|^BVT$": [
         "Bouvet Island", "Bouvet Island", "Norway", "BV", "BVT", 74, "", "",
         -54.421291, 3.367051, "54°25′16.6″S", "3°22′1.4″E", "", "", "🇧🇻",
         49.0, 49.0, 0.0, "", "", "", "", "", "", "", "", "", False,
         False, False, "", "", "", "", "", "", "Bouvetön",
    ],
    "brazil|^BR$|^BRA$": [
         "Brazil", "Brazil", "UN member state", "BR", "BRA", 76, ".br",
         "+55", -10.031432, -50.645233, "10°1′53.2″S", "50°38′42.8″W",
         "South America", "South America", "🇧🇷", 8515770.0, 8358140.0,
         157630.0, "Brasília", -15.7939, -47.8828, "15°47′38″S",
         "47°52′58″W", 212559409.0, 1444733258971.65, 6796.8445,
         14836.3071, False, False, False, "Brazilian real", "R$",
         "BRL", 53.4, 0.551, 0.765, "Brasilien",
    ],
    ".*british indian|^IO$|^IOT$": [
         "British Indian Ocean Territory (the)",
         "British Indian Ocean Territory", "United Kingdom", "IO", "IOT", 86,
         ".io", "+246", -7.328629, 72.444609, "7°19′43.1″S",
         "72°26′40.6″E", "", "", "🇮🇴", 60.0, 60.0, 54340.0, "", "", "",
         "", "", "", "", "", "", False, False, False,
         "United States dollar", "$", "USD", "", "", "",
         "Brittiska territoriet i Indiska Oceanen",
    ],
    ".*brunei|^BN$|^BRN$": [
         "Brunei Darussalam", "Brunei", "UN member state", "BN", "BRN", 96,
         ".bn", "+673", 4.535277, 114.727669, "4°32′7.0″N",
         "114°43′39.6″E", "Asia", "South-Eastern Asia", "🇧🇳", 5765.0,
         5265.0, 500.0, "Bandar Seri Begawan", 4.8903, 114.9422,
         "4°53′25″N", "114°56′32″E", 437483.0, 12016056665.3473,
         27466.3396, 65661.6939, False, False, False,
         "Brunei dollar", "$", "BND", "", 0.626, 0.838, "Brunei",
    ],
    "bulgaria|^BG$|^BGR$": [
         "Bulgaria", "Bulgaria", "UN member state", "BG", "BGR", 100, ".bg",
         "+359", 42.733883, 25.48583, "42°44′2.0″N", "25°29′9.0″E",
         "Europe", "Eastern Europe", "🇧🇬", 110879.0, 108489.0, 2390.0,
         "Sofia", 42.7, 23.3333, "42°42′N", "23°20′E", 6927288.0,
         69105101089.5531, 9975.78, 24367.3239, False, True, True,
         "Bulgarian lev", "лв.", "BGN", 41.3, 0.614, 0.816, "Bulgarien",
    ],
    "burkina|^BF$|^BFA$": [
         "Burkina Faso", "Burkina Faso", "UN member state", "BF", "BFA", 854,
         ".bf", "+226", 12.238333, -1.561593, "12°14′18.0″N",
         "1°33′41.7″W", "Africa", "Western Africa", "🇧🇫", 274200.0,
         273800.0, 400.0, "Ouagadougou", 12.3667, -1.5333, "12°22′N",
         "1°32′W", 20903278.0, 17369059295.2226, 830.9251, 2279.1562,
         False, False, False, "West African CFA franc", "Fr", "XOF",
         35.3, 0.384, 0.452, "Burkina Faso",
    ],
    "burundi|^BI$|^BDI$": [
         "Burundi", "Burundi", "UN member state", "BI", "BDI", 108, ".bi",
         "+257", -3.373056, 29.918886, "3°22′23.0″S", "29°55′8.0″E",
         "Africa", "Eastern Africa", "🇧🇮", 27830.0, 25680.0, 2150.0,
         "Gitega", -3.4333, 29.9, "3°26′S", "29°54′E", 11890781.0,
         3258187232.63159, 274.0095, 771.2096, False, False, False,
         "Burundian franc", "Fr", "BIF", 38.6, 0.386, 0.433, "Burundi",
    ],
    "cape verde|cabo verde|^CV$|^CPV$": [
         "Cabo Verde", "Cabo Verde", "UN member state", "CV", "CPV", 132,
         ".cv", "+238", 16.002082, -24.013197, "16°0′7.5″N", "24°0′47.5″W",
         "Africa", "Western Africa", "🇨🇻", 4033.0, 4033.0, 0.0, "Praia",
         14.9181, -23.5089, "14°55′05″N", "23°30′32″W", 555988.0,
         1703698676.69742, 3064.2724, 6377.0258, False, False,
         False, "Cape Verdean escudo", "$", "CVE", 42.4, "", 0.665,
         "Kap Verde",
    ],
    "cambodia|^KH$|^KHM$": [
         "Cambodia", "Cambodia", "UN member state", "KH", "KHM", 116, ".kh",
         "+855", 12.565679, 104.990963, "12°33′56.4″N", "104°59′27.5″E",
         "Asia", "South-Eastern Asia", "🇰🇭", 181035.0, 176515.0, 4520.0,
         "Phnom Penh", 11.5694, 104.9211, "11°34′10″N", "104°55′16″E",
         16718971.0, 25291251427.3979, 1512.7278, 4422.0457, False,
         False, False, "Cambodian riel", "៛", "KHR", "", 0.492, 0.594,
         "Kambodja",
    ],
    "cameroon|cameroun|^CM$|^CMR$": [
         "Cameroon", "Cameroon", "UN member state", "CM", "CMR", 120, ".cm",
         "+237", 5.336304, 12.327046, "5°20′10.7″N", "12°19′37.4″E",
         "Africa", "Middle Africa", "🇨🇲", 475440.0, 472710.0, 2730.0,
         "Yaoundé", 3.8667, 11.5167, "3°52′N", "11°31′E", 26545864.0,
         39802147568.2174, 1499.3728, 3772.745, False, False,
         False, "Central African CFA franc", "Fr", "XAF", 46.6, 0.397,
         0.563, "Kamerun",
    ],
    "canada|^CA$|^CAN$": [
         "Canada", "Canada", "UN member state", "CA", "CAN", 124, ".ca",
         "+1", 56.130366, -106.346771, "56°7′49.3″N", "106°20′48.4″W",
         "North America", "Northern America", "🇨🇦", 9984670.0, 9093507.0,
         891163.0, "Ottawa", 45.4247, -75.695, "45°25′29″N",
         "75°41′42″W", 38005238.0, 1643407977068.93, 43241.6178,
         48072.5838, True, False, False, "Canadian dollar", "$", "CAD",
         33.3, 0.798, 0.929, "Kanada",
    ],
    ".*cayman islands|^KY$|^CYM$": [
         "Cayman Islands (the)", "Cayman Islands", "United Kingdom", "KY",
         "CYM", 136, ".ky", "+1 345", 19.319566, -81.232474,
         "19°19′10.4″N", "81°13′56.9″W", "North America", "Caribbean", "🇰🇾",
         264.0, 264.0, 0.0, "George Town", 19.3033, -81.3864,
         "19°18′12″N", "81°23′11″W", 65720.0, "", "", "", False, False,
         False, "Cayman Islands dollar", "$", "KYD", "", "", "",
         "Caymanöarna",
    ],
    ".*central african rep|car$|^CF$|^CAF$": [
         "Central African Republic (the)", "Central African Republic",
         "UN member state", "CF", "CAF", 140, ".cf", "+236", 6.611111,
         20.939444, "6°36′40.0″N", "20°56′22.0″E", "Africa", "Middle Africa",
         "🇨🇫", 622984.0, 622984.0, 0.0, "Bangui", 4.3733, 18.5628,
         "04°22′24″N", "18°33′46″E", 4829764.0, 2303078337.57431,
         476.8511, 979.5831, False, False, False,
         "Central African CFA franc", "Fr", "XAF", 56.2, 0.292, 0.397,
         "Centralafrikanska republiken",
    ],
    "chad|^TD$|^TCD$": [
         "Chad", "Chad", "UN member state", "TD", "TCD", 148, ".td", "+235",
         15.454166, 18.732207, "15°27′15.0″N", "18°43′55.9″E", "Africa",
         "Middle Africa", "🇹🇩", 1284000.0, 1259200.0, 24800.0,
         "N'Djamena", 12.11, 15.05, "12°06′36″N", "15°03′00″E",
         16425859.0, 10093118570.2918, 614.4652, 1603.3785, False,
         False, False, "Central African CFA franc", "Fr", "XAF", 43.3,
         0.3, 0.398, "Tchad",
    ],
    "chile|^CL$|^CHL$": [
         "Chile", "Chile", "UN member state", "CL", "CHL", 152, ".cl", "+56",
         -35.675147, -71.542969, "35°40′30.5″S", "71°32′34.7″W",
         "South America", "South America", "🇨🇱", 756102.0, 743812.0,
         12290.0, "Santiago", -33.45, -70.6667, "33°27′S", "70°40′W",
         19116209.0, 252940023046.011, 13231.7042, 25067.6916, True,
         False, False, "Chilean peso", "$", "CLP", 44.4, 0.652,
         0.851, "Chile",
    ],
    "(?!.*hong kong|.*taiwan|.*macau|.*macao).*china|^CN$|^CHN$": [
         "China", "China", "UN member state", "CN", "CHN", 156, ".cn", "+86",
         35.86166, 104.195397, "35°51′42.0″N", "104°11′43.4″E", "Asia",
         "Eastern Asia", "🇨🇳", 9596960.0, 9326410.0, 270550.0, "Beijing",
         39.9067, 116.3975, "39°54′24″N", "116°23′51″E", 1402112000.0,
         14722730697890.1, 10500.3956, 17311.9979, False, False,
         False, "Renminbi", "¥ or 元", "CNY", 38.5, 0.653, 0.761,
         "Kina",
    ],
    "christmas|^CX$|^CXR$": [
         "Christmas Island", "Christmas Island", "Australia", "CX", "CXR",
         162, ".cx", "+61", -10.447525, 105.690449, "10°26′51.1″S",
         "105°41′25.6″E", "", "", "🇨🇽", 135.0, 135.0, 0.0,
         "Flying Fish Cove", "", "", "not found", "not found", "", "", "", "",
         False, False, False, "Australian dollar", "$", "AUD", "", "",
         "", "Julön",
    ],
    ".*cocos|^CC$|^CCK$": [
         "Cocos (Keeling) Islands (the)", "Cocos (Keeling) Islands",
         "Australia", "CC", "CCK", 166, ".cc", "+61", -12.164165,
         96.870956, "12°9′51.0″S", "96°52′15.4″E", "", "", "🇨🇨", 14.0,
         14.0, 0.0, "West Island", -12.1869, 96.8283, "12°11′13″S",
         "96°49′42″E", "", "", "", "", False, False, False,
         "Australian dollar", "$", "AUD", "", "", "", "Kokosöarna",
    ],
    "colombia|^CO$|^COL$": [
         "Colombia", "Colombia", "UN member state", "CO", "COL", 170, ".co",
         "+57", 3.571191, -72.856744, "3°34′16.3″N", "72°51′24.3″W",
         "South America", "South America", "🇨🇴", 1138910.0, 1038700.0,
         100210.0, "Bogotá", 4.7111, -74.0722, "4°42′40″N", "74°4′20″W",
         50882884.0, 271346896626.418, 5332.7735, 14565.3681, True,
         False, False, "Colombian peso", "$", "COP", 51.3, 0.604,
         0.767, "Colombia",
    ],
    ".*comoros|^KM$|^COM$": [
         "Comoros (the)", "Comoros", "UN member state", "KM", "COM", 174,
         ".km", "+269", -11.875001, 43.872219, "11°52′30.0″S",
         "43°52′20.0″E", "Africa", "Eastern Africa", "🇰🇲", 2235.0, 2235.0,
         0.0, "Moroni", -11.6989, 43.2561, "11°41′56″S", "43°15′22″E",
         869595.0, 1219690024.50287, 1402.5955, 3313.1705, False,
         False, False, "Comorian franc", "Fr", "KMF", 45.3, 0.405,
         0.554, "Komorerna",
    ],
    "(?!,*brazzaville).*(?=.*dem|DR|.*kinshasa).*congo|kinshasa|DRC|DROC|^CD$|^COD$": [
         "Congo (the Democratic Republic of the)",
         "Democratic Republic of the Congo", "UN member state", "CD", "COD",
         180, ".cd", "+243", -2.764356, 23.711724, "2°45′51.7″S",
         "23°42′42.2″E", "Africa", "Middle Africa", "🇨🇩", 2344858.0,
         2267048.0, 77810.0, "Kinshasa", -4.325, 15.3222, "4°19′30″S",
         "15°19′20″E", 89561404.0, 49868970641.1062, 556.8132,
         1131.0906, False, False, False, "Congolese franc", "Fr",
         "CDF", 42.1, 0.366, 0.48, "Kongo-Kinshasa",
    ],
    "(?!.*kinshasa|DR|.*dem).*(congo|brazzaville)|^CG$|^COG$": [
         "Congo (the)", "Congo", "UN member state", "CG", "COG", 178, ".cg",
         "+242", -0.961883, 15.746202, "0°57′42.8″S", "15°44′46.3″E",
         "Africa", "Middle Africa", "🇨🇬", 342000.0, 341500.0, 500.0,
         "Brazzaville", -4.2678, 15.2919, "4°16′4″S", "15°17′31″E",
         5518092.0, 10884686142.6442, 1972.5452, 3638.5558, False,
         False, False, "Central African CFA franc", "Fr", "XAF", 48.9,
         0.419, 0.574, "Kongo-Brazzaville",
    ],
    ".*cook|^CK$|^COK$": [
         "Cook Islands (the)", "Cook Islands",
         "Member of 8 UN specialized agencies", "CK", "COK", 184, ".ck",
         "+682", -21.236736, -159.777671, "21°14′12.2″S", "159°46′39.6″W",
         "Oceania", "Polynesia", "🇨🇰", 236.0, 236.0, 0.0, "Avarua",
         -21.2069, -159.7708, "21°12′25″S", "159°46′15″W", "", "", "", "",
         False, False, False, "Cook Islands dollar", "$", "CKD", "", "",
         "", "Cooköarna",
    ],
    "costa rica|^CR$|^CRI$": [
         "Costa Rica", "Costa Rica", "UN member state", "CR", "CRI", 188,
         ".cr", "+506", 9.748917, -83.753428, "9°44′56.1″N",
         "83°45′12.3″W", "North America", "Central America", "🇨🇷", 51100.0,
         51060.0, 40.0, "San José", 9.9333, -84.0833, "9°56′N",
         "84°5′W", 5094114.0, 61520669890.4037, 12076.8145, 21031.8175,
         False, False, False, "Costa Rican colón", "₡", "CRC", 48.2,
         0.629, 0.81, "Costa Rica",
    ],
    "croatia|^HR$|^HRV$": [
         "Croatia", "Croatia", "UN member state", "HR", "HRV", 191, ".hr",
         "+385", 45.1, 15.2, "45°6′0.0″N", "15°11′60.0″E", "Europe",
         "Southern Europe", "🇭🇷", 56594.0, 55974.0, 620.0, "Zagreb",
         45.8167, 15.9833, "45°49′N", "15°59′E", 4047200.0,
         55966581780.1688, 13828.4695, 28503.8806, False, True,
         True, "Croatian kuna", "kn", "HRK", 29.7, 0.71, 0.851,
         "Kroatien",
    ],
    "cuba|^CU$|^CUB$": [
         "Cuba", "Cuba", "UN member state", "CU", "CUB", 192, ".cu", "+53",
         21.937697, -78.631976, "21°56′15.7″N", "78°37′55.1″W",
         "North America", "Caribbean", "🇨🇺", 110860.0, 109820.0, 1040.0,
         "Havana", 23.1367, -82.3589, "23°08′12″N", "82°21′32″W",
         11326616.0, "", "", "", False, False, False, "Cuban peso",
         "$", "CUP", "", "", 0.783, "Kuba",
    ],
    "curaçao|curacao|^CW$|^CUW$": [
         "Curaçao", "Curaçao", "Netherlands", "CW", "CUW", 531, ".cw",
         "+599", 12.175014, -68.979014, "12°10′30.1″N", "68°58′44.5″W",
         "North America", "Caribbean", "🇨🇼", 444.0, 444.0, 0.0,
         "Willemstad", 12.1167, -68.9333, "12°7′N", "68°56′W", 155014.0,
         "", "", "", False, False, False,
         "Netherlands Antillean guilder", "ƒ", "ANG", "", "", "", "Curaçao",
    ],
    "cyprus|^CY$|^CYP$": [
         "Cyprus", "Cyprus", "UN member state", "CY", "CYP", 196, ".cy",
         "+357", 35.126413, 33.429859, "35°7′35.1″N", "33°25′47.5″E",
         "Asia", "Western Asia", "🇨🇾", 9251.0, 9241.0, 10.0, "Nicosia",
         35.1725, 33.365, "35°10′21″N", "33°21′54″E", 1207361.0,
         23804340376.9275, 26623.8009, 38458.1913, False, True,
         True, "Euro", "€", "EUR", 32.7, 0.756, 0.887, "Cypern",
    ],
    "czech|^CZ$|^CZE$": [
         "Czechia", "Czechia", "UN member state", "CZ", "CZE", 203, ".cz",
         "+420", 49.817492, 15.472962, "49°49′3.0″N", "15°28′22.7″E",
         "Europe", "Eastern Europe", "🇨🇿", 78867.0, 77247.0, 1620.0,
         "Prague", 50.0833, 14.4167, "50°5′N", "14°25′E", 10698896.0,
         243530379896.813, 22762.1971, 41737.418, True, True, True,
         "Czech koruna", "Kč", "CZK", 25.0, 0.752, 0.9, "Tjeckien",
    ],
    "côte d.*ivoire|cote d.*ivoire|ivory coast|^CI$|^CIV$": [
         "Côte d'Ivoire", "Côte d'Ivoire", "UN member state", "CI", "CIV",
         384, ".ci", "+225", 7.539989, -5.54708, "7°32′24.0″N",
         "5°32′49.5″W", "Africa", "Western Africa", "🇨🇮", 322463.0,
         318003.0, 4460.0, "Yamoussoukro", 6.8161, -5.2742,
         "06°48′58″N", "05°16′27″W", 26378275.0, 61348579465.1017,
         2325.7237, 5458.2367, False, False, False,
         "West African CFA franc", "Fr", "XOF", 41.5, 0.38, 0.538,
         "Elfenbenskusten",
    ],
    "denmark|^DK$|^DNK$": [
         "Denmark", "Denmark", "UN member state", "DK", "DNK", 208, ".dk",
         "+45", 55.726275, 9.895666, "55°43′34.6″N", "9°53′44.4″E",
         "Europe", "Northern Europe", "🇩🇰", 43094.0, 42434.0, 660.0,
         "Copenhagen", 55.6761, 12.5683, "55°40′34″N", "12°34′06″E",
         5831404.0, 355184024841.254, 60908.8351, 60398.4533, True,
         True, True, "Danish krone", "kr", "DKK", 28.2, 0.755, 0.94,
         "Danmark",
    ],
    "djibouti|^DJ$|^DJI$": [
         "Djibouti", "Djibouti", "UN member state", "DJ", "DJI", 262, ".dj",
         "+253", 11.825138, 42.590275, "11°49′30.5″N", "42°35′25.0″E",
         "Africa", "Eastern Africa", "🇩🇯", 23200.0, 23180.0, 20.0,
         "Djibouti", 11.5883, 43.145, "11°35′18″N", "43°08′42″E",
         988002.0, 3384404260.07202, 3425.5035, 5782.1106, False,
         False, False, "Djiboutian franc", "Fr", "DJF", 41.6, "",
         0.524, "Djibouti",
    ],
    "(?!.*rep).*dominica|.*dominique|^DM$|^DMA$": [
         "Dominica", "Dominica", "UN member state", "DM", "DMA", 212, ".dm",
         "+1 767", 15.437664, -61.33912, "15°26′15.6″N", "61°20′20.8″W",
         "North America", "Caribbean", "🇩🇲", 751.0, 751.0, "", "Roseau",
         15.3014, -61.3883, "15°18′05″N", "61°23′18″W", 71991.0,
         469870370.37037, 6526.7932, 10434.4729, False, False,
         False, "Eastern Caribbean dollar", "$", "XCD", "", 0.545, 0.742,
         "Dominica",
    ],
    ".*dominican republic|^DO$|^DOM$": [
         "Dominican Republic (the)", "Dominican Republic", "UN member state",
         "DO", "DOM", 214, ".do", "+1 809, +1 829, +1 849", 18.735693,
         -70.162651, "18°44′8.5″N", "70°9′45.5″W", "North America",
         "Caribbean", "🇩🇴", 48670.0, 48320.0, 350.0, "Santo Domingo",
         18.4667, -69.95, "18°28′N", "69°57′W", 10847904.0,
         78844702329.0785, 7268.1969, 17936.7347, False, False,
         False, "Dominican peso", "RD$", "DOP", 41.9, 0.503, 0.756,
         "Dominikanska republiken",
    ],
    "ecuador|^EC$|^ECU$": [
         "Ecuador", "Ecuador", "UN member state", "EC", "ECU", 218, ".ec",
         "+593", -1.350535, -78.467856, "1°21′1.9″S", "78°28′4.3″W",
         "South America", "South America", "🇪🇨", 283561.0, 276841.0,
         6720.0, "Quito", -0.2333, -78.5167, "00°14′S", "78°31′W",
         17643060.0, 98808010000.0, 5600.3896, 10896.4274, False,
         False, False, "United States dollar", "$", "USD", 45.7, 0.594,
         0.759, "Ecuador",
    ],
    "egypt|^EG$|^EGY$": [
         "Egypt", "Egypt", "UN member state", "EG", "EGY", 818, ".eg", "+20",
         26.448888, 29.671689, "26°26′56.0″N", "29°40′18.1″E", "Africa",
         "Northern Africa", "🇪🇬", 1001450.0, 995450.0, 6000.0, "Cairo",
         30.0333, 31.2333, "30°2′N", "31°14′E", 102334403.0,
         363069245165.315, 3547.8708, 12607.7621, False, False,
         False, "Egyptian pound", "E£ or ج.م", "EGP", 31.5, 0.494,
         0.707, "Egypten",
    ],
    ".*salvador|^SV$|^SLV$": [
         "El Salvador", "El Salvador", "UN member state", "SV", "SLV", 222,
         ".sv", "+503", 13.794185, -88.89653, "13°47′39.1″N",
         "88°53′47.5″W", "North America", "Central America", "🇸🇻", 21041.0,
         20721.0, 320.0, "San Salvador", 13.6989, -89.1914,
         "13°41′56″N", "89°11′29″W", 6486201.0, 24638720000.0, 3798.6365,
         8498.9687, False, False, False, "United States dollar", "$",
         "USD", 38.8, 0.546, 0.673, "El Salvador",
    ],
    ".*equatorial guinea|^GQ$|^GNQ$": [
         "Equatorial Guinea", "Equatorial Guinea", "UN member state", "GQ",
         "GNQ", 226, ".gq", "+240", 1.604619, 10.455341, "1°36′16.6″N",
         "10°27′19.2″E", "Africa", "Middle Africa", "🇬🇶", 28051.0, 28051.0,
         0.0, "Malabo", 3.7521, 8.7737, "3°45′7.43″N", "8°46′25.32″E",
         1402985.0, 10021856754.4944, 7143.2387, 17941.5997, False,
         False, False, "Central African CFA franc", "Fr", "XAF", "", "",
         0.592, "Ekvatorialguinea",
    ],
    "eritrea|^ER$|^ERI$": [
         "Eritrea", "Eritrea", "UN member state", "ER", "ERI", 232, ".er",
         "+291", 15.179384, 39.782334, "15°10′45.8″N", "39°46′56.4″E",
         "Africa", "Eastern Africa", "🇪🇷", 117600.0, 101000.0, 16600.0,
         "Asmara", 15.3228, 38.925, "15°19′22″N", "38°55′30″E", "", "", "",
         "", False, False, False, "Eritrean nakfa", "Nfk", "ERN", "", "",
         0.459, "Eritrea",
    ],
    "estonia|^EE$|^EST$": [
         "Estonia", "Estonia", "UN member state", "EE", "EST", 233, ".ee",
         "+372", 58.703289, 25.824336, "58°42′11.8″N", "25°49′27.6″E",
         "Europe", "Northern Europe", "🇪🇪", 45228.0, 42388.0, 2840.0,
         "Tallinn", 59.4372, 24.7453, "59°26′14″N", "24°44′43″E",
         1331057.0, 31029968591.2779, 23312.2763, 38394.9175, True,
         True, True, "Euro", "€", "EUR", 30.3, 0.777, 0.892,
         "Estland",
    ],
    "eswatini|swaziland|^SZ$|^SWZ$": [
         "Eswatini", "Eswatini", "UN member state", "SZ", "SWZ", 748, ".sz",
         "+268", -26.522503, 31.465866, "26°31′21.0″S", "31°27′57.1″E",
         "Africa", "Southern Africa", "🇸🇿", 17364.0, 17204.0, 160.0,
         "Lobamba, Mbabane", -26.4167, 31.1667, "26°25′0″S", "31°10′0″E",
         1160164.0, 3962493092.99308, 3415.4594, 8853.6042, False,
         False, False, "Swazi lilangeni", "L", "SZL", 54.6, 0.373,
         0.611, "Swaziland",
    ],
    "ethiopia|^ET$|^ETH$": [
         "Ethiopia", "Ethiopia", "UN member state", "ET", "ETH", 231, ".et",
         "+251", 8.784563, 39.573711, "8°47′4.4″N", "39°34′25.4″E",
         "Africa", "Eastern Africa", "🇪🇹", 1104300.0, 1096570.0, 7730.0,
         "Addis Ababa", 9.03, 38.74, "9°1′48″N", "38°44′24″E",
         114963583.0, 107645054311.876, 936.3405, 2422.9578, False,
         False, False, "Ethiopian birr", "Br", "ETB", 35.0, 0.383,
         0.485, "Etiopien",
    ],
    ".*falkland|^FK$|^FLK$": [
         "Falkland Islands (the) [Malvinas]", "Falkland Islands",
         "United Kingdom", "FK", "FLK", 238, ".fk", "+500", -51.796253,
         -59.523613, "51°47′46.5″S", "59°31′25.0″W", "South America",
         "South America", "🇫🇰", 12173.0, 12173.0, 0.0, "Stanley",
         -51.6944, -57.8528, "51°41′40″S", "57°51′10″W", "", "", "", "",
         False, False, False, "Falkland Islands pound", "£", "FKP", "",
         "", "", "Falklandsöarna",
    ],
    ".*faroe|^FO$|^FRO$": [
         "Faroe Islands (the)", "Faroe Islands ", "Denmark", "FO", "FRO",
         234, ".fo", "+298", 62.042103, -6.893899, "62°2′31.6″N",
         "6°53′38.0″W", "Europe", "Northern Europe", "🇫🇴", 1393.0, 1393.0,
         0.0, "Tórshavn", 62.0117, -6.7675, "62°0′42″N", "6°46′3″W",
         48865.0, "", "", "", False, False, False, "Faroese króna",
         "kr", "FOK", "", "", "", "Färöarna",
    ],
    "fiji|^FJ$|^FJI$": [
         "Fiji", "Fiji", "UN member state", "FJ", "FJI", 242, ".fj", "+679",
         -16.578193, 179.414413, "16°34′41.5″S", "179°24′51.9″E",
         "Oceania", "Melanesia", "🇫🇯", 18274.0, 18274.0, 0.0, "Suva",
         -18.1417, 178.4419, "18°08′30″S", "178°26′31″E", 896444.0,
         4376014755.57615, 4881.5261, 11601.4005, False, False,
         False, "Fijian dollar", "$", "FJD", 36.7, 0.509, 0.743,
         "Fiji",
    ],
    "finland|^FI$|^FIN$": [
         "Finland", "Finland", "UN member state", "FI", "FIN", 246, ".fi",
         "+358", 62.840988, 26.284863, "62°50′27.6″N", "26°17′5.5″E",
         "Europe", "Northern Europe", "🇫🇮", 338145.0, 303815.0, 34330.0,
         "Helsinki", 60.1708, 24.9375, "60°10′15″N", "24°56′15″E",
         5530719.0, 271233883403.892, 49041.3423, 51089.7853, True,
         True, True, "Euro", "€", "EUR", 27.3, 0.796, 0.938,
         "Finland",
    ],
    "france|^FR$|^FRA$": [
         "France", "France", "UN member state", "FR", "FRA", 250, ".fr",
         "+33", 46.719774, 2.736604, "46°43′11.2″N", "2°44′11.8″E",
         "Europe", "Western Europe", "🇫🇷", 643801.0, 640427.0, 3374.0,
         "Paris", 48.8567, 2.3522, "48°51′24″N", "2°21′08″E", 67391582.0,
         2603004395901.95, 38625.0674, 46226.9505, True, True,
         True, "Euro", "€", "EUR", 32.4, 0.763, 0.901, "Frankrike",
    ],
    "french guiana|^GF$|^GUF$": [
         "French Guiana", "French Guiana", "France", "GF", "GUF", 254, ".gf",
         "+594", 3.933889, -53.125782, "3°56′2.0″N", "53°7′32.8″W",
         "South America", "South America", "🇬🇫", "", "", "", "", "", "", "",
         "", "", "", "", "", False, False, False, "Euro", "€", "EUR", "",
         "", "", "Franska Guyana",
    ],
    "french polynesia|^PF$|^PYF$": [
         "French Polynesia", "French Polynesia", "France", "PF", "PYF", 258,
         ".pf", "+689", -17.679742, -149.406843, "17°40′47.1″S",
         "149°24′24.6″W", "Oceania", "Polynesia", "🇵🇫", 4167.0, 3827.0,
         340.0, "Papeete", -17.535, -149.5697, "17°32′06″S",
         "149°34′11″W", 280904.0, "", "", "", False, False, False,
         "CFP franc", "₣", "XPF", "", "", "", "Franska Polynesien",
    ],
    ".*french southern|^TF$|^ATF$": [
         "French Southern Territories (the)", "French Southern Territories",
         "France", "TF", "ATF", 260, ".tf", "", -49.280366, 69.348557,
         "49°16′49.3″S", "69°20′54.8″E", "", "", "🇹🇫", "", "", "", "", "", "",
         "", "", "", "", "", "", False, False, False, "Euro", "€", "EUR",
         "", "", "", "Franska södra territorierna",
    ],
    ".*gabon|^GA$|^GAB$": [
         "Gabon", "Gabon", "UN member state", "GA", "GAB", 266, ".ga",
         "+241", -0.803689, 11.609444, "0°48′13.3″S", "11°36′34.0″E",
         "Africa", "Middle Africa", "🇬🇦", 267667.0, 257667.0, 10000.0,
         "Libreville", 0.3903, 9.4542, "0°23′25″N", "9°27′15″E",
         2225728.0, 15593181270.9135, 7005.8791, 15190.6386, False,
         False, False, "Central African CFA franc", "Fr", "XAF", 38.0,
         0.458, 0.703, "Gabon",
    ],
    ".*gambia|^GM$|^GMB$": [
         "Gambia (the)", "Gambia", "UN member state", "GM", "GMB", 270,
         ".gm", "+220", 13.516506, -15.404133, "13°30′59.4″N",
         "15°24′14.9″W", "Africa", "Western Africa", "🇬🇲", 11300.0,
         10120.0, 1180.0, "Banjul", 13.4531, -16.5775, "13°27′11″N",
         "16°34′39″W", 2416664.0, 1901930157.64528, 787.0065,
         2278.0278, False, False, False, "Gambian dalasi", "D", "GMD",
         35.9, 0.422, 0.496, "Gambia",
    ],
    "georgia|^GE$|^GEO$": [
         "Georgia", "Georgia", "UN member state", "GE", "GEO", 268, ".ge",
         "+995", 42.116276, 43.689504, "42°6′58.6″N", "43°41′22.2″E",
         "Asia", "Western Asia", "🇬🇪", 69700.0, 69700.0, 0.0, "Tbilisi",
         41.7225, 44.7925, "41°43′21″N", "44°47′33″E", 3714000.0,
         15891688903.1843, 4278.8608, 14863.0174, False, False,
         False, "Georgian lari", "₾", "GEL", 35.9, 0.569, 0.812,
         "Georgien",
    ],
    "germany|^DE$|^DEU$": [
         "Germany", "Germany", "UN member state", "DE", "DEU", 276, ".de",
         "+49", 51.165691, 10.451526, "51°9′56.5″N", "10°27′5.5″E",
         "Europe", "Western Europe", "🇩🇪", 357022.0, 348672.0, 8350.0,
         "Berlin", 52.52, 13.405, "52°31′12″N", "13°24′18″E", 83240525.0,
         3806060140124.52, 45723.6441, 53694.3547, True, True,
         True, "Euro", "€", "EUR", 31.9, 0.751, 0.947, "Tyskland",
    ],
    ".*ghana|^GH$|^GHA$": [
         "Ghana", "Ghana", "UN member state", "GH", "GHA", 288, ".gh",
         "+233", 7.946527, -1.023194, "7°56′47.5″N", "1°1′23.5″W",
         "Africa", "Western Africa", "🇬🇭", 238533.0, 227533.0, 11000.0,
         "Accra", 5.55, -0.2, "5°33′N", "0°12′W", 31072945.0,
         72354428864.9032, 2328.5346, 5596.3071, False, False,
         False, "Ghanaian cedi", "₵", "GHS", 43.5, 0.45, 0.611,
         "Ghana",
    ],
    "gibraltar|^GI$|^GIB$": [
         "Gibraltar", "Gibraltar", "United Kingdom", "GI", "GIB", 292, ".gi",
         "+350", 36.134934, -5.348643, "36°8′5.8″N", "5°20′55.1″W",
         "Europe", "Southern Europe", "🇬🇮", 6.5, 6.5, 0.0, "Gibraltar",
         36.1333, -5.35, "36°8′N", "5°21′W", 33691.0, "", "", "",
         False, False, False, "Gibraltar pound", "£", "GIP", "", "", "",
         "Gibraltar",
    ],
    "greece|^GR$|^GRC$": [
         "Greece", "Greece", "UN member state", "GR", "GRC", 300, ".gr",
         "+30", 39.074208, 21.824312, "39°4′27.1″N", "21°49′27.5″E",
         "Europe", "Southern Europe", "🇬🇷", 131957.0, 130647.0, 1310.0,
         "Athens", 37.9842, 23.7281, "37°59′03″N", "23°43′41″E",
         10715549.0, 189410106620.016, 17676.1925, 28463.7887, True,
         True, True, "Euro", "€", "EUR", 32.9, 0.69, 0.888,
         "Grekland",
    ],
    "greenland|^GL$|^GRL$": [
         "Greenland", "Greenland", "Denmark", "GL", "GRL", 304, ".gl",
         "+299", 64.629624, -45.695839, "64°37′46.6″N", "45°41′45.0″W",
         "North America", "Northern America", "🇬🇱", 2166086.0, 2166086.0,
         "", "Nuuk", 64.1814, -51.6942, "64°10′53″N", "51°41′39″W",
         56367.0, "", "", "", False, False, False, "Danish krone",
         "kr", "DKK", "", "", "", "Grönland",
    ],
    "grenada|^GD$|^GRD$": [
         "Grenada", "Grenada", "UN member state", "GD", "GRD", 308, ".gd",
         "+1 473", 12.120106, -61.677444, "12°7′12.4″N", "61°40′38.8″W",
         "North America", "Caribbean", "🇬🇩", 344.0, 344.0, 0.0,
         "St. George's", 12.05, -61.75, "12°3′N", "61°45′W", 112519.0,
         1089203703.7037, 9680.1758, 15893.2154, False, False,
         False, "Eastern Caribbean dollar", "$", "XCD", "", 0.565, 0.779,
         "Grenada",
    ],
    "guadeloupe|^GP$|^GLP$": [
         "Guadeloupe", "Guadeloupe", "France", "GP", "GLP", 312, ".gp",
         "+590", 16.254246, -61.568592, "16°15′15.3″N", "61°34′6.9″W",
         "North America", "Caribbean", "🇬🇵", "", "", "", "", "", "", "", "",
         "", "", "", "", False, False, False, "Euro", "€", "EUR", "", "",
         "", "Guadeloupe",
    ],
    "guam|^GU$|^GUM$": [
         "Guam", "Guam", "United States of America", "GU", "GUM", 316, ".gu",
         "+1 671", 13.444304, 144.793731, "13°26′39.5″N", "144°47′37.4″E",
         "Oceania", "Micronesia", "🇬🇺", 544.0, 544.0, 0.0, "Hagåtña",
         13.4792, 144.75, "13°28′45″N", "144°45′00″E", 168783.0, "", "",
         "", False, False, False, "United States dollar", "$", "USD", "",
         "", "", "Guam",
    ],
    "guatemala|^GT$|^GTM$": [
         "Guatemala", "Guatemala", "UN member state", "GT", "GTM", 320,
         ".gt", "+502", 15.628067, -90.433576, "15°37′41.0″N",
         "90°26′0.9″W", "North America", "Central America", "🇬🇹", 108889.0,
         107159.0, 1730.0, "Guatemala City", 14.6133, -90.5353,
         "14°36′48″N", "90°32′7″W", 16858333.0, 77604632170.5853,
         4603.3396, 8854.2025, False, False, False,
         "Guatemalan quetzal", "Q", "GTQ", 48.3, 0.461, 0.663,
         "Guatemala",
    ],
    "guernsey|^GG$|^GGY$": [
         "Guernsey", "Guernsey", "United Kingdom", "GG", "GGY", 831, ".gg",
         "+44 1481", 49.455257, -2.576448, "49°27′18.9″N", "2°34′35.2″W",
         "Europe", "Northern Europe", "🇬🇬", 78.0, 78.0, 0.0,
         "St. Peter Port", 49.4556, -2.5367, "49°27′20″N", "2°32′12″W", "",
         "", "", "", False, False, False, "Guernsey pound", "£", "GGP",
         "", "", "", "Guernsey",
    ],
    "(?!.*bissau|.*new|.*equatorial).*guinea|^GN$|^GIN$": [
         "Guinea", "Guinea", "UN member state", "GN", "GIN", 324, ".gn",
         "+224", 10.73705, -10.67156, "10°44′13.4″N", "10°40′17.6″W",
         "Africa", "Western Africa", "🇬🇳", 245857.0, 245717.0, 140.0,
         "Conakry", 9.5167, -13.7, "9°31′N", "13°42′W", 13132792.0,
         15681050917.1588, 1194.0379, 2817.4918, False, False,
         False, "Guinean franc", "Fr", "GNF", 33.7, 0.371, 0.477,
         "Guinea",
    ],
    "guinea.*bissau|^GW$|^GNB$": [
         "Guinea-Bissau", "Guinea-Bissau", "UN member state", "GW", "GNB",
         624, ".gw", "+245", 11.803749, -15.180413, "11°48′13.5″N",
         "15°10′49.5″W", "Africa", "Western Africa", "🇬🇼", 36125.0,
         28120.0, 8005.0, "Bissau", 11.85, -15.5667, "11°51′N",
         "15°34′W", 1967998.0, 1431758242.90375, 727.5202, 1948.9195,
         False, False, False, "West African CFA franc", "Fr", "XOF",
         50.7, "", 0.48, "Guinea-Bissau",
    ],
    "guyana|^GY$|^GUY$": [
         "Guyana", "Guyana", "UN member state", "GY", "GUY", 328, ".gy",
         "+592", 4.860416, -58.93018, "4°51′37.5″N", "58°55′48.6″W",
         "South America", "South America", "🇬🇾", 214969.0, 196849.0,
         18120.0, "Georgetown", 6.8011, -58.1553, "6°48′4″N",
         "58°9′19″W", 786559.0, 5471256594.72422, 6955.9392,
         19705.7927, False, False, False, "Guyanese dollar", "$",
         "GYD", "", 0.495, 0.682, "Guyana",
    ],
    "haiti|^HT$|^HTI$": [
         "Haiti", "Haiti", "UN member state", "HT", "HTI", 332, ".ht",
         "+509", 19.058396, -72.443958, "19°3′30.2″N", "72°26′38.2″W",
         "North America", "Caribbean", "🇭🇹", 27750.0, 27560.0, 190.0,
         "Port-au-Prince", 18.5333, -72.3333, "18°32′N", "72°20′W",
         11402533.0, 13417997065.1099, 1176.7558, 2925.3653, False,
         False, False, "Haitian gourde", "G", "HTG", 41.1, 0.447,
         0.51, "Haiti",
    ],
    ".*heard|^HM$|^HMD$": [
         "Heard Island and McDonald Islands",
         "Heard Island and McDonald Islands", "Australia", "HM", "HMD", 334,
         ".hm", "+672", -53.08181, 73.504158, "53°4′54.5″S",
         "73°30′15.0″E", "", "", "🇭🇲", 412.0, 412.0, 0.0, "", "", "", "",
         "", "", "", "", "", False, False, False, "", "", "", "", "", "",
         "Heard- och McDonaldöarna",
    ],
    ".*holy see|.*vatican|^VA$|^VAT$": [
         "Holy See (the)", "Holy See", "UN observer state", "VA", "VAT", 336,
         ".va", "+379", 41.902916, 12.453389, "41°54′10.5″N",
         "12°27′12.2″E", "Europe", "Southern Europe", "🇻🇦", 0.44, 0.44,
         0.0, "Vatican City", 41.9025, 12.4525, "41°54′09″N",
         "12°27′09″E", "", "", "", "", False, False, False, "Euro", "€",
         "EUR", "", "", "", "Vatikanstaten",
    ],
    "honduras|^HN$|^HND$": [
         "Honduras", "Honduras", "UN member state", "HN", "HND", 340, ".hn",
         "+504", 14.833734, -86.998054, "14°50′1.4″N", "86°59′53.0″W",
         "North America", "Central America", "🇭🇳", 112090.0, 111890.0,
         200.0, "Tegucigalpa", 14.1, -87.2167, "14°6′N", "87°13′W",
         9904608.0, 23827840809.7014, 2405.7328, 5420.5602, False,
         False, False, "Honduran lempira", "L", "HNL", 48.2, 0.481,
         0.634, "Honduras",
    ],
    "hong kong|^HK$|^HKG$": [
         "Hong Kong", "Hong Kong", "China", "HK", "HKG", 344, ".hk", "+852",
         22.396428, 114.109497, "22°23′47.1″N", "114°6′34.2″E", "Asia",
         "Eastern Asia", "🇭🇰", 1108.0, 1073.0, 35.0, "", "", "", "", "",
         7481800.0, 346585881503.635, 46323.8634, 59237.6708, False,
         False, False, "Hong Kong dollar", "$", "HKD", "", 0.813,
         0.949, "Hongkong",
    ],
    "hungary|^HU$|^HUN$": [
         "Hungary", "Hungary", "UN member state", "HU", "HUN", 348, ".hu",
         "+36", 47.162494, 19.503304, "47°9′45.0″N", "19°30′11.9″E",
         "Europe", "Eastern Europe", "🇭🇺", 93028.0, 89608.0, 3420.0,
         "Budapest", 47.4925, 19.0514, "47°29′33″N", "19°03′05″E",
         9749763.0, 155012927629.087, 15899.1483, 33084.0962, True,
         True, True, "Hungarian forint", "Ft", "HUF", 29.6, 0.683,
         0.854, "Ungern",
    ],
    "iceland|^IS$|^ISL$": [
         "Iceland", "Iceland", "UN member state", "IS", "ISL", 352, ".is",
         "+354", 64.880678, -18.409548, "64°52′50.4″N", "18°24′34.4″W",
         "Europe", "Northern Europe", "🇮🇸", 103000.0, 100250.0, 2750.0,
         "Reykjavík", 64.1475, -21.935, "64°08′51″N", "21°56′06″W",
         366425.0, 21714670569.6033, 59260.8871, 55216.0262, True,
         False, True, "Icelandic króna", "kr", "ISK", 26.1, 0.745,
         0.949, "Island",
    ],
    "india$|^IN$|^IND$": [
         "India", "India", "UN member state", "IN", "IND", 356, ".in", "+91",
         20.593684, 78.96288, "20°35′37.3″N", "78°57′46.4″E", "Asia",
         "Southern Asia", "🇮🇳", 3287263.0, 2973193.0, 314070.0,
         "New Delhi", 28.6139, 77.2089, "28°36′50″N", "77°12′32″E",
         1380004385.0, 2622983732006.45, 1900.7068, 6454.3474, False,
         False, False, "Indian rupee", "₹", "INR", 35.7, 0.494,
         0.645, "Indien",
    ],
    "indonesia|^ID$|^IDN$": [
         "Indonesia", "Indonesia", "UN member state", "ID", "IDN", 360,
         ".id", "+62", -0.789275, 113.921327, "0°47′21.4″S",
         "113°55′16.8″E", "Asia", "South-Eastern Asia", "🇮🇩", 1904569.0,
         1811569.0, 93000.0, "Jakarta", -6.2, 106.8167, "6°12′S",
         "106°49′E", 273523621.0, 1058423838345.14, 3869.5884,
         12073.4615, False, False, False, "Indonesian rupiah", "Rp",
         "IDR", 38.2, 0.54, 0.718, "Indonesien",
    ],
    ".*iran|^IR$|^IRN$": [
         "Iran (Islamic Republic of)", "Iran", "UN member state", "IR", "IRN",
         364, ".ir", "+98", 32.427908, 53.688046, "32°25′40.5″N",
         "53°41′17.0″E", "Asia", "Southern Asia", "🇮🇷", 1648195.0,
         1531595.0, 116600.0, "Tehran", 35.6892, 51.3889, "35°41′21″N",
         "51°23′20″E", 83992953.0, 191718271483.759, 2282.5519,
         13116.0724, False, False, False, "Iranian rial", "﷼", "IRR",
         42.0, 0.593, 0.783, "Iran",
    ],
    ".*iraq|^IQ$|^IRQ$": [
         "Iraq", "Iraq", "UN member state", "IQ", "IRQ", 368, ".iq", "+964",
         33.223191, 43.679291, "33°13′23.5″N", "43°40′45.4″E", "Asia",
         "Western Asia", "🇮🇶", 438317.0, 437367.0, 950.0, "Baghdad",
         33.3333, 44.3833, "33°20′N", "44°23′E", 40222503.0,
         167224432560.319, 4157.4845, 9763.51, False, False, False,
         "Iraqi dinar", "ع.د", "IQD", 29.5, 0.408, 0.674, "Irak",
    ],
    "(?!.*north).*ireland|^IE$|^IRL$": [
         "Ireland", "Ireland", "UN member state", "IE", "IRL", 372, ".ie",
         "+353", 53.207236, -7.778069, "53°12′26.0″N", "7°46′41.0″W",
         "Europe", "Northern Europe", "🇮🇪", 70273.0, 68883.0, 1390.0,
         "Dublin", 53.3497, -6.2603, "53°20′59″N", "06°15′37″W",
         4994724.0, 418621818482.305, 83812.803, 93612.1659, True,
         True, True, "Euro", "€", "EUR", 31.4, 0.793, 0.955,
         "Irland",
    ],
    ".*isle of man|^IM$|^IMN$": [
         "Isle of Man", "Isle of Man", "United Kingdom", "IM", "IMN", 833,
         ".im", "+44 1624", 54.220637, -4.523086, "54°13′14.3″N",
         "4°31′23.1″W", "Europe", "Northern Europe", "🇮🇲", 572.0, 572.0,
         0.0, "Douglas", 54.145, -4.4819, "54°08′42″N", "4°28′55″W",
         85032.0, "", "", "", False, False, False, "Manx pound", "£",
         "IMP", "", "", "", "Isle of Man",
    ],
    "israel|^IL$|^ISR$": [
         "Israel", "Israel", "UN member state", "IL", "ISR", 376, ".il",
         "+972", 31.046051, 34.851612, "31°2′45.8″N", "34°51′5.8″E",
         "Asia", "Western Asia", "🇮🇱", 21937.0, 21497.0, 440.0,
         "Jerusalem", 31.7833, 35.2167, "31°47′N", "35°13′E", 9216900.0,
         401953804837.087, 43610.5203, 41854.9342, True, False,
         False, "Israeli new shekel", "₪", "ILS", 39.0, 0.734, 0.919,
         "Israel",
    ],
    "italy|^IT$|^ITA$": [
         "Italy", "Italy", "UN member state", "IT", "ITA", 380, ".it", "+39",
         42.71941, 12.672814, "42°43′9.9″N", "12°40′22.1″E", "Europe",
         "Southern Europe", "🇮🇹", 301340.0, 294140.0, 7200.0, "Rome",
         41.8833, 12.5, "41°53′N", "12°30′E", 59554023.0,
         1886445268340.71, 31676.2021, 41839.991, True, True, True,
         "Euro", "€", "EUR", 35.9, 0.728, 0.892, "Italien",
    ],
    "jamaica|^JM$|^JAM$": [
         "Jamaica", "Jamaica", "UN member state", "JM", "JAM", 388, ".jm",
         "+1 876", 18.109581, -77.297508, "18°6′34.5″N", "77°17′51.0″W",
         "North America", "Caribbean", "🇯🇲", 10991.0, 10831.0, 160.0,
         "Kingston", 17.9714, -76.7931, "17°58′17″N", "76°47′35″W",
         2961161.0, 13812421803.4084, 4664.5292, 9221.5933, False,
         False, False, "Jamaican dollar", "$", "JMD", 45.5, 0.535,
         0.734, "Jamaica",
    ],
    "japan|^JP$|^JPN$": [
         "Japan", "Japan", "UN member state", "JP", "JPN", 392, ".jp", "+81",
         36.204824, 138.252924, "36°12′17.4″N", "138°15′10.5″E", "Asia",
         "Eastern Asia", "🇯🇵", 377915.0, 364485.0, 13430.0, "Tokyo",
         35.6897, 139.6922, "35°41′23″N", "139°41′32″E", 125836021.0, "",
         "", "", True, False, False, "Japanese yen", "¥ or 円", "JPY",
         32.9, 0.805, 0.919, "Japan",
    ],
    "jersey|^JE$|^JEY$": [
         "Jersey", "Jersey", "United Kingdom", "JE", "JEY", 832, ".je",
         "+44 1534", 49.214439, -2.13125, "49°12′52.0″N", "2°7′52.5″W",
         "Europe", "Northern Europe", "🇯🇪", 116.0, 116.0, 0.0,
         "St. Helier", 49.1869, -2.1069, "49°11′13″N", "2°06′25″W", "", "",
         "", "", False, False, False, "Jersey pound", "£", "JEP", "", "",
         "", "Jersey",
    ],
    "jordan|^JO$|^JOR$": [
         "Jordan", "Jordan", "UN member state", "JO", "JOR", 400, ".jo",
         "+962", 31.199628, 36.484474, "31°11′58.7″N", "36°29′4.1″E",
         "Asia", "Western Asia", "🇯🇴", 89342.0, 88802.0, 540.0, "Amman",
         31.9497, 35.9328, "31°56′59″N", "35°55′58″E", 10203140.0,
         43697659275.3137, 4282.7658, 10355.6313, False, False,
         False, "Jordanian dinar", "د.ا", "JOD", 33.7, 0.553, 0.729,
         "Jordanien",
    ],
    "kazakhstan|^KZ$|^KAZ$": [
         "Kazakhstan", "Kazakhstan", "UN member state", "KZ", "KAZ", 398,
         ".kz", "+7", 48.019573, 66.923684, "48°1′10.5″N", "66°55′25.3″E",
         "Asia", "Central Asia", "🇰🇿", 2724900.0, 2699700.0, 25200.0,
         "Nur-Sultan", 51.1667, 71.4333, "51°10′N", "71°26′E",
         18754440.0, 169835426427.153, 9055.745, 26728.5439, False,
         False, False, "Kazakhstani tenge", "₸", "KZT", 27.8, 0.629,
         0.825, "Kazakstan",
    ],
    "kenya|^KE$|^KEN$": [
         "Kenya", "Kenya", "UN member state", "KE", "KEN", 404, ".ke",
         "+254", -0.023559, 37.906193, "0°1′24.8″S", "37°54′22.3″E",
         "Africa", "Eastern Africa", "🇰🇪", 580367.0, 569140.0, 11227.0,
         "Nairobi", -1.2864, 36.8172, "01°17′11″S", "36°49′02″E",
         53771300.0, 98842939649.1149, 1838.21, 4452.206, False,
         False, False, "Kenyan shilling", "Sh", "KES", 40.8, 0.547,
         0.601, "Kenya",
    ],
    ".*kiribati|^KI$|^KIR$": [
         "Kiribati", "Kiribati", "UN member state", "KI", "KIR", 296, ".ki",
         "+686", -3.370417, -168.734039, "3°22′13.5″S", "168°44′2.5″W",
         "Oceania", "Micronesia", "🇰🇮", 811.0, 811.0, 0.0,
         "South Tarawa", 1.4333, 173.0, "1°26′N", "173°00′E", 119446.0,
         199573325.992705, 1670.8247, 2417.7675, False, False,
         False, "Kiribati dollar", "$", "KID", 37.0, 0.493, 0.63,
         "Kiribati",
    ],
    "(?=.*korea).*(north|dem|n[\. ]*)|^KP$|^PRK$": [
         "Korea (the Democratic People's Republic of)", "North Korea",
         "UN member state", "KP", "PRK", 408, ".kp", "+850", 40.018305,
         126.950167, "40°1′5.9″N", "126°57′0.6″E", "Asia", "Eastern Asia",
         "🇰🇵", 120538.0, 120408.0, 130.0, "Pyongyang", 39.0194,
         125.7381, "39°1′10″N", "125°44′17″E", 25778815.0, "", "", "",
         False, False, False, "North Korean won", "₩", "KPW", "", "", "",
         "Nordkorea",
    ],
    "(?!.*dem|.*people|.*north|.*n[\., ]|DPR).*korea|^KR$|^KOR$": [
         "Korea (the Republic of)", "South Korea", "UN member state", "KR",
         "KOR", 410, ".kr", "+82", 36.499864, 127.971895, "36°29′59.5″N",
         "127°58′18.8″E", "Asia", "Eastern Asia", "🇰🇷", 99720.0, 96920.0,
         2800.0, "Seoul", 37.56, 126.99, "37°33′36″N", "126°59′24″E",
         51780579.0, 1630525005469.11, 31489.1227, 43124.2947, True,
         False, False, "South Korean won", "₩", "KRW", 31.4, 0.799,
         0.916, "Sydkorea",
    ],
    "kuwait|^KW$|^KWT$": [
         "Kuwait", "Kuwait", "UN member state", "KW", "KWT", 414, ".kw",
         "+965", 29.31166, 47.481766, "29°18′42.0″N", "47°28′54.4″E",
         "Asia", "Western Asia", "🇰🇼", 17818.0, 17818.0, 0.0,
         "Kuwait City", 29.3697, 47.9783, "29°22′11″N", "47°58′42″E",
         4270563.0, "", "", "", False, False, False, "Kuwaiti dinar",
         "د.ك", "KWD", "", 0.563, 0.806, "Kuwait",
    ],
    ".*kyrgyz|^KG$|^KGZ$": [
         "Kyrgyzstan", "Kyrgyzstan", "UN member state", "KG", "KGZ", 417,
         ".kg", "+996", 41.567437, 74.895384, "41°34′2.8″N",
         "74°53′43.4″E", "Asia", "Central Asia", "🇰🇬", 199951.0, 191801.0,
         8150.0, "Bishkek", 42.8747, 74.6122, "42°52′29″N", "74°36′44″E",
         6591600.0, 7735976612.64163, 1173.6114, 4965.0319, False,
         False, False, "Kyrgyzstani som", "с", "KGS", 29.7, 0.597,
         0.697, "Kirgizistan",
    ],
    ".*lao|^LA$|^LAO$": [
         "Lao People's Democratic Republic (the)", "Laos", "UN member state",
         "LA", "LAO", 418, ".la", "+856", 19.85627, 102.495496,
         "19°51′22.6″N", "102°29′43.8″E", "Asia", "South-Eastern Asia", "🇱🇦",
         236800.0, 230800.0, 6000.0, "Vientiane", 17.9667, 102.6,
         "17°58′N", "102°36′E", 7275556.0, 19136194848.6534, 2630.2038,
         8234.4545, False, False, False, "Lao kip", "₭", "LAK", 38.8,
         0.457, 0.613, "Laos",
    ],
    "latvia|^LV$|^LVA$": [
         "Latvia", "Latvia", "UN member state", "LV", "LVA", 428, ".lv",
         "+371", 57.101446, 24.771556, "57°6′5.2″N", "24°46′17.6″E",
         "Europe", "Northern Europe", "🇱🇻", 64589.0, 62249.0, 2340.0,
         "Riga", 56.9489, 24.1064, "56°56′56″N", "24°6′23″E", 1901548.0,
         33505185228.7067, 17619.9524, 32019.2223, True, True,
         True, "Euro", "€", "EUR", 35.1, 0.707, 0.866, "Lettland",
    ],
    "lebanon|^LB$|^LBN$": [
         "Lebanon", "Lebanon", "UN member state", "LB", "LBN", 422, ".lb",
         "+961", 33.854721, 35.862285, "33°51′17.0″N", "35°51′44.2″E",
         "Asia", "Western Asia", "🇱🇧", 10400.0, 10230.0, 170.0, "Beirut",
         33.8869, 35.5131, "33°53′13″N", "35°30′47″E", 6825442.0,
         33383246857.58, 4891.0015, 12288.7585, False, False,
         False, "Lebanese pound", "ل.ل", "LBP", 31.8, 0.515, 0.744,
         "Libanon",
    ],
    "lesotho|^LS$|^LSO$": [
         "Lesotho", "Lesotho", "UN member state", "LS", "LSO", 426, ".ls",
         "+266", -29.609988, 28.233608, "29°36′36.0″S", "28°14′1.0″E",
         "Africa", "Southern Africa", "🇱🇸", 30355.0, 30355.0, 0.0,
         "Maseru", -29.3167, 27.4833, "29°19′S", "27°29′E", 2142252.0,
         1844510137.67817, 861.0145, 2405.0965, False, False,
         False, "Lesotho loti", "L", "LSL", 44.9, 0.4, 0.527,
         "Lesotho",
    ],
    "liberia|^LR$|^LBR$": [
         "Liberia", "Liberia", "UN member state", "LR", "LBR", 430, ".lr",
         "+231", 6.428055, -9.429499, "6°25′41.0″N", "9°25′46.2″W",
         "Africa", "Western Africa", "🇱🇷", 111369.0, 96320.0, 15049.0,
         "Monrovia", 6.3133, -10.8014, "6°18′48″N", "10°48′5″W",
         5057677.0, 2950000000.0, 583.2717, 1428.1893, False,
         False, False, "Liberian dollar", "$", "LRD", 35.3, 0.319,
         0.48, "Liberia",
    ],
    "libya|^LY$|^LBY$": [
         "Libya", "Libya", "UN member state", "LY", "LBY", 434, ".ly",
         "+218", 27.124192, 17.717566, "27°7′27.1″N", "17°43′3.2″E",
         "Africa", "Northern Africa", "🇱🇾", 1759540.0, 1759540.0, 0.0,
         "Tripoli", 32.8872, 13.1914, "32°53′14″N", "13°11′29″E",
         6871287.0, 25418461532.2008, 3699.2286, 10846.9438, False,
         False, False, "Libyan dinar", "ل.د", "LYD", "", "", 0.724,
         "Libyen",
    ],
    "liechtenstein|^LI$|^LIE$": [
         "Liechtenstein", "Liechtenstein", "UN member state", "LI", "LIE",
         438, ".li", "+423", 47.129872, 9.563058, "47°7′47.5″N",
         "9°33′47.0″E", "Europe", "Western Europe", "🇱🇮", 160.0, 160.0,
         0.0, "Vaduz", 47.1411, 9.5211, "47°08′28″N", "9°31′16″E",
         38137.0, "", "", "", False, False, True, "Swiss franc", "Fr.",
         "CHF", "", "", 0.919, "Liechtenstein",
    ],
    "lithuania|^LT$|^LTU$": [
         "Lithuania", "Lithuania", "UN member state", "LT", "LTU", 440,
         ".lt", "+370", 55.427858, 23.937397, "55°25′40.3″N",
         "23°56′14.6″E", "Europe", "Northern Europe", "🇱🇹", 65300.0,
         62680.0, 2620.0, "Vilnius", 54.6833, 25.2833, "54°41′N",
         "25°17′E", 2794700.0, 55887271833.0025, 19997.5925,
         38734.7293, True, True, True, "Euro", "€", "EUR", 35.7,
         0.706, 0.882, "Litauen",
    ],
    "luxembourg|^LU$|^LUX$": [
         "Luxembourg", "Luxembourg", "UN member state", "LU", "LUX", 442,
         ".lu", "+352", 49.75636, 6.114688, "49°45′22.9″N", "6°6′52.9″E",
         "Europe", "Western Europe", "🇱🇺", 2586.0, 2586.0, 0.0,
         "Luxembourg", 49.6117, 6.1319, "49°36′42″N", "6°7′55″E",
         632275.0, 73263982103.0119, 115873.6026, 118359.5262, True,
         True, True, "Euro", "€", "EUR", 35.4, 0.686, 0.916,
         "Luxemburg",
    ],
    ".*macao|.*macau|^MO$|^MAC$": [
         "Macao", "Macao", "China", "MO", "MAC", 446, ".mo", "+853",
         22.198745, 113.543873, "22°11′55.5″N", "113°32′37.9″E", "Asia",
         "Eastern Asia", "🇲🇴", 28.2, 28.2, 0.0, "", "", "", "", "",
         649342.0, "", "", 57807.162, False, False, False,
         "Macanese pataca", "MOP$", "MOP", "", 0.796, "", "Macao",
    ],
    "madagascar|^MG$|^MDG$": [
         "Madagascar", "Madagascar", "UN member state", "MG", "MDG", 450,
         ".mg", "+261", -18.766947, 46.869107, "18°46′1.0″S",
         "46°52′8.8″E", "Africa", "Eastern Africa", "🇲🇬", 587041.0,
         581540.0, 5501.0, "Antananarivo", -18.9333, 47.5167,
         "18°56′S", "47°31′E", 27691019.0, 13720634105.403, 495.4904,
         1593.0713, False, False, False, "Malagasy ariary", "Ar",
         "MGA", 42.6, 0.392, 0.528, "Madagaskar",
    ],
    "malawi|^MW$|^MWI$": [
         "Malawi", "Malawi", "UN member state", "MW", "MWI", 454, ".mw",
         "+265", -13.533288, 34.262269, "13°31′59.8″S", "34°15′44.2″E",
         "Africa", "Eastern Africa", "🇲🇼", 118484.0, 94080.0, 24404.0,
         "Lilongwe", -13.9833, 33.7833, "13°59′S", "33°47′E", 19129955.0,
         11961848552.5977, 625.2941, 1568.4248, False, False,
         False, "Malawian kwacha", "MK", "MWK", 44.7, 0.413, 0.483,
         "Malawi",
    ],
    "malaysia|^MY$|^MYS$": [
         "Malaysia", "Malaysia", "UN member state", "MY", "MYS", 458, ".my",
         "+60", 4.210484, 101.975766, "4°12′37.7″N", "101°58′32.8″E",
         "Asia", "South-Eastern Asia", "🇲🇾", 329847.0, 328657.0, 1190.0,
         "Kuala Lumpur", 3.1478, 101.6953, "03°08′52″N", "101°41′43″E",
         32365998.0, 336664444247.042, 10401.794, 27886.8609, False,
         False, False, "Malaysian ringgit", "RM", "MYR", 41.1, 0.611,
         0.81, "Malaysia",
    ],
    "maldives|^MV$|^MDV$": [
         "Maldives", "Maldives", "UN member state", "MV", "MDV", 462, ".mv",
         "+960", 3.202778, 73.22068, "3°12′10.0″N", "73°13′14.4″E", "Asia",
         "Southern Asia", "🇲🇻", 298.0, 298.0, 0.0, "Malé", 4.1753,
         73.5089, "4°10′31″N", "73°30′32″E", 540542.0, 4030203166.77482,
         7455.8557, 13765.636, False, False, False,
         "Maldivian rufiyaa", ".ރ", "MVR", 31.3, "", 0.74, "Maldiverna",
    ],
    "mali$|^ML$|^MLI$": [
         "Mali", "Mali", "UN member state", "ML", "MLI", 466, ".ml", "+223",
         17.809989, -1.750127, "17°48′36.0″N", "1°45′0.5″W", "Africa",
         "Western Africa", "🇲🇱", 1240192.0, 1220190.0, 20002.0, "Bamako",
         12.6392, -8.0028, "12°38′21″N", "8°0′10″W", 20250834.0,
         17393761397.0805, 858.9158, 2338.5075, False, False,
         False, "West African CFA franc", "Fr", "XOF", 33.0, 0.318,
         0.434, "Mali",
    ],
    "malta|^MT$|^MLT$": [
         "Malta", "Malta", "UN member state", "MT", "MLT", 470, ".mt",
         "+356", 35.937496, 14.375416, "35°56′15.0″N", "14°22′31.5″E",
         "Europe", "Southern Europe", "🇲🇹", 316.0, 316.0, 0.0,
         "Valletta", 35.8983, 14.5125, "35°53′54″N", "14°30′45″E",
         525285.0, 14647384607.604, 27884.6428, 42640.1161, False,
         True, True, "Euro", "€", "EUR", 28.7, 0.709, 0.895, "Malta",
    ],
    ".*marshall|^MH$|^MHL$": [
         "Marshall Islands (the)", "Marshall Islands", "UN member state", "MH",
         "MHL", 584, ".mh", "+692", 7.131474, 171.184478, "7°7′53.3″N",
         "171°11′4.1″E", "Oceania", "Micronesia", "🇲🇭", 181.0, 181.0,
         0.0, "Majuro", 7.0833, 171.3833, "7°05′N", "171°23′E",
         59194.0, "", "", "", False, False, False,
         "United States dollar", "$", "USD", "", 0.423, 0.704,
         "Marshallöarna",
    ],
    "martinique|^MQ$|^MTQ$": [
         "Martinique", "Martinique", "France", "MQ", "MTQ", 474, ".mq",
         "+596", 14.641528, -61.024174, "14°38′29.5″N", "61°1′27.0″W",
         "North America", "Caribbean", "🇲🇶", "", "", "", "", "", "", "", "",
         "", "", "", "", False, False, False, "Euro", "€", "EUR", "", "",
         "", "Martinique",
    ],
    "mauritania|^MR$|^MRT$": [
         "Mauritania", "Mauritania", "UN member state", "MR", "MRT", 478,
         ".mr", "+222", 20.243738, -10.390708, "20°14′37.5″N",
         "10°23′26.5″W", "Africa", "Western Africa", "🇲🇷", 1030700.0,
         1030700.0, 0.0, "Nouakchott", 18.0858, -15.9786, "18°05′09″N",
         "15°58′43″W", 4649660.0, 7778525642.92883, 1672.9235,
         5256.8745, False, False, False, "Mauritanian ouguiya", "UM",
         "MRU", 32.6, 0.382, 0.546, "Mauretanien",
    ],
    "mauritius|^MU$|^MUS$": [
         "Mauritius", "Mauritius", "UN member state", "MU", "MUS", 480,
         ".mu", "+230", -20.270205, 57.585306, "20°16′12.7″S",
         "57°35′7.1″E", "Africa", "Eastern Africa", "🇲🇺", 2040.0, 2030.0,
         10.0, "Port Louis", -20.1644, 57.5042, "20°9′52″S",
         "57°30′15″E", 1265740.0, 10914065306.2423, 8622.6755,
         20538.6949, False, False, False, "Mauritian rupee", "₨",
         "MUR", 36.8, 0.622, 0.804, "Mauritius",
    ],
    ".*mayotte|^YT$|^MYT$": [
         "Mayotte", "Mayotte", "France", "YT", "MYT", 175, ".yt", "+262",
         -12.8275, 45.166244, "12°49′39.0″S", "45°9′58.5″E", "Africa",
         "Eastern Africa", "🇾🇹", "", "", "", "", "", "", "", "", "", "", "",
         "", False, False, False, "Euro", "€", "EUR", "", "", "",
         "Mayotte",
    ],
    "mexico|^MX$|^MEX$": [
         "Mexico", "Mexico", "UN member state", "MX", "MEX", 484, ".mx",
         "+52", 23.634501, -102.552784, "23°38′4.2″N", "102°33′10.0″W",
         "North America", "Central America", "🇲🇽", 1964375.0, 1943945.0,
         20430.0, "Mexico City", 19.4333, -99.1333, "19°26′N", "99°8′W",
         128932753.0, 1076163316174.94, 8346.7024, 18833.0824, True,
         False, False, "Mexican peso", "$", "MXN", 45.4, 0.613,
         0.779, "Mexiko",
    ],
    ".*micronesia|^FM$|^FSM$": [
         "Micronesia (Federated States of)", "Micronesia", "UN member state",
         "FM", "FSM", 583, ".fm", "+691", 7.425554, 150.550812,
         "7°25′32.0″N", "150°33′2.9″E", "Oceania", "Micronesia", "🇫🇲", 702.0,
         702.0, 0.0, "Palikir", 6.9172, 158.1589, "6°55′2″N",
         "158°9′32″E", 115021.0, "", "", "", False, False, False,
         "United States dollar", "$", "USD", 40.1, 0.506, 0.62,
         "Mikronesiska federationen",
    ],
    ".*moldova|^MD$|^MDA$": [
         "Moldova (the Republic of)", "Moldova", "UN member state", "MD",
         "MDA", 498, ".md", "+373", 47.217536, 28.607661, "47°13′3.1″N",
         "28°36′27.6″E", "Europe", "Eastern Europe", "🇲🇩", 33851.0,
         32891.0, 960.0, "Chișinău", 47.0228, 28.8353, "47°01′22″N",
         "28°50′07″E", 2617820.0, 11914040905.2626, 4551.1307,
         13001.55, False, False, False, "Moldovan leu", "L", "MDL",
         25.7, 0.584, 0.75, "Moldavien",
    ],
    "monaco|^MC$|^MCO$": [
         "Monaco", "Monaco", "UN member state", "MC", "MCO", 492, ".mc",
         "+377", 43.73396, 7.422564, "43°44′2.3″N", "7°25′21.2″E",
         "Europe", "Western Europe", "🇲🇨", 2.0, 2.0, 0.0, "Monaco",
         43.7312, 7.4197, "43°43′52.48″N", "7°25′11.08″E", 39244.0, "",
         "", "", False, False, False, "Euro", "€", "EUR", "", "", "",
         "Monaco",
    ],
    "mongolia|^MN$|^MNG$": [
         "Mongolia", "Mongolia", "UN member state", "MN", "MNG", 496, ".mn",
         "+976", 46.862496, 103.846656, "46°51′45.0″N", "103°50′48.0″E",
         "Asia", "Eastern Asia", "🇲🇳", 1564116.0, 1553556.0, 10560.0,
         "Ulaanbaatar", 47.9203, 106.9172, "47°55′13″N", "106°55′02″E",
         3278292.0, 13137128659.479, 4007.3089, 12100.5867, False,
         False, False, "Mongolian tögrög", "₮", "MNT", 32.7, 0.614,
         0.737, "Mongoliet",
    ],
    "(?!.*serbia).*montenegro|^ME$|^MNE$": [
         "Montenegro", "Montenegro", "UN member state", "ME", "MNE", 499,
         ".me", "+382", 42.87209, 19.281906, "42°52′19.5″N",
         "19°16′54.9″E", "Europe", "Southern Europe", "🇲🇪", 13812.0,
         13452.0, 360.0, "Podgorica", 42.4413, 19.2629,
         "42°26′28.63″N", "19°15′46.41″E", 621718.0, 4778582336.18234,
         7686.0929, 20566.6384, False, False, False, "Euro", "€",
         "EUR", 38.5, 0.633, 0.829, "Montenegro",
    ],
    "montserrat|^MS$|^MSR$": [
         "Montserrat", "Montserrat", "United Kingdom", "MS", "MSR", 500,
         ".ms", "+1 664", 16.742498, -62.187366, "16°44′33.0″N",
         "62°11′14.5″W", "North America", "Caribbean", "🇲🇸", 102.0, 102.0,
         0.0, "Brades", 16.7928, -62.2106, "16°47′34″N", "62°12′38″W",
         "", "", "", "", False, False, False, "Eastern Caribbean dollar",
         "$", "XCD", "", "", "", "Montserrat",
    ],
    "morocco|^MA$|^MAR$": [
         "Morocco", "Morocco", "UN member state", "MA", "MAR", 504, ".ma",
         "+212", 31.791702, -7.09262, "31°47′30.1″N", "7°5′33.4″W",
         "Africa", "Northern Africa", "🇲🇦", 446550.0, 446300.0, 250.0,
         "Rabat", 34.0333, -6.8333, "34°02′N", "6°50′W", 36910558.0,
         112870591694.044, 3009.2495, 7296.1581, False, False,
         False, "Moroccan dirham", "د.م.", "MAD", 39.5, 0.504, 0.686,
         "Marocko",
    ],
    "mozambique|^MZ$|^MOZ$": [
         "Mozambique", "Mozambique", "UN member state", "MZ", "MOZ", 508,
         ".mz", "+258", -17.567146, 35.782651, "17°34′1.7″S",
         "35°46′57.5″E", "Africa", "Eastern Africa", "🇲🇿", 799380.0,
         786380.0, 13000.0, "Maputo", -25.9667, 32.5833, "25°58′S",
         "32°35′E", 31255435.0, 14021421105.9078, 448.6075, 1296.575,
         False, False, False, "Mozambican metical", "MT", "MZN", 54.0,
         0.362, 0.456, "Moçambique",
    ],
    "myanmar|burma|^MM$|^MMR$": [
         "Myanmar", "Myanmar", "UN member state", "MM", "MMR", 104, ".mm",
         "+95", 21.913965, 95.956223, "21°54′50.3″N", "95°57′22.4″E",
         "Asia", "South-Eastern Asia", "🇲🇲", 676578.0, 653508.0, 23070.0,
         "Naypyidaw", 19.7475, 96.115, "19°44′51″N", "96°06′54″E",
         54409794.0, 76185586096.7974, 1400.2182, 4793.5568, False,
         False, False, "Burmese kyat", "Ks", "MMK", 30.7, 0.478,
         0.583, "Myanmar",
    ],
    "namibia|^NA$|^NAM$": [
         "Namibia", "Namibia", "UN member state", "NA", "NAM", 516, ".na",
         "+264", -22.557397, 17.081065, "22°33′26.6″S", "17°4′51.8″E",
         "Africa", "Southern Africa", "🇳🇦", 824292.0, 823290.0, 1002.0,
         "Windhoek", -22.57, 17.0836, "22°34′12″S", "17°5′1″E",
         2540916.0, 10699926682.6513, 4211.0509, 9382.2175, False,
         False, False, "Namibian dollar", "$", "NAD", 59.1, 0.446,
         0.646, "Namibia",
    ],
    "nauru|^NR$|^NRU$": [
         "Nauru", "Nauru", "UN member state", "NR", "NRU", 520, ".nr",
         "+674", -0.522778, 166.931503, "0°31′22.0″S", "166°55′53.4″E",
         "Oceania", "Micronesia", "🇳🇷", 21.0, 21.0, 0.0, "Yaren",
         -0.5477, 166.9209, "0°32′51.72″S", "166°55′15.12″E", 10834.0,
         "", "", "", False, False, False, "Australian dollar", "$",
         "AUD", 34.8, 0.508, "", "Nauru",
    ],
    "nepal|^NP$|^NPL$": [
         "Nepal", "Nepal", "UN member state", "NP", "NPL", 524, ".np",
         "+977", 28.037507, 84.483704, "28°2′15.0″N", "84°29′1.3″E",
         "Asia", "Southern Asia", "🇳🇵", 147181.0, 143351.0, 3830.0,
         "Kathmandu", 27.7172, 85.3239, "27°43′02″N", "85°19′26″E",
         29136808.0, 33657175561.329, 1155.1429, 4008.7466, False,
         False, False, "Nepalese rupee", "रू", "NPR", 32.8, 0.505,
         0.602, "Nepal",
    ],
    "(?!.*antilles).*netherlands|^NL$|^NLD$": [
         "Netherlands (the)", "Netherlands", "UN member state", "NL", "NLD",
         528, ".nl", "+31", 52.132633, 5.291266, "52°7′57.5″N",
         "5°17′28.6″E", "Europe", "Western Europe", "🇳🇱", 41543.0, 33893.0,
         7650.0, "Amsterdam", 52.3667, 4.9, "52°22′N", "4°54′E",
         17441139.0, 912242335119.069, 52304.0574, 59228.835, True,
         True, True, "Euro", "€", "EUR", 28.1, 0.79, 0.944,
         "Nederländerna",
    ],
    "new caledonia|^NC$|^NCL$": [
         "New Caledonia", "New Caledonia", "France", "NC", "NCL", 540, ".nc",
         "+687", -20.904305, 165.618042, "20°54′15.5″S", "165°37′5.0″E",
         "Oceania", "Melanesia", "🇳🇨", 18575.0, 18275.0, 300.0, "Nouméa",
         -22.2758, 166.4581, "22°16′33″S", "166°27′29″E", 271960.0, "",
         "", "", False, False, False, "CFP franc", "₣", "XPF", "", "",
         "", "Nya Kaledonien",
    ],
    "new zealand|NZ|n[\., ] zealand|^NZ$|^NZL$": [
         "New Zealand", "New Zealand", "UN member state", "NZ", "NZL", 554,
         ".nz", "+64", -41.792185, 172.978875, "41°47′31.9″S",
         "172°58′43.9″E", "Oceania", "Australia and New Zealand", "🇳🇿",
         268838.0, 264537.0, 4301.0, "Wellington", -41.2889,
         174.7772, "41°17′20″S", "174°46′38″E", 5084300.0,
         212482013605.047, 41791.7931, 44251.7942, True, False,
         False, "New Zealand dollar", "$", "NZD", "", 0.776, 0.931,
         "Nya Zeeland",
    ],
    ".*nicaragua|^NI$|^NIC$": [
         "Nicaragua", "Nicaragua", "UN member state", "NI", "NIC", 558,
         ".ni", "+505", 12.782944, -85.013674, "12°46′58.6″N",
         "85°0′49.2″W", "North America", "Central America", "🇳🇮", 130370.0,
         119990.0, 10380.0, "Managua", 12.1364, -86.2514, "12°8′11″N",
         "86°15′5″W", 6624554.0, 12621476263.8278, 1905.2568,
         5570.0999, False, False, False, "Nicaraguan córdoba", "C$",
         "NIO", 46.2, 0.508, 0.66, "Nicaragua",
    ],
    "(?!.*nigeria).*niger|^NE$|^NER$": [
         "Niger (the)", "Niger", "UN member state", "NE", "NER", 562, ".ne",
         "+227", 17.12811, 9.589291, "17°7′41.2″N", "9°35′21.4″E",
         "Africa", "Western Africa", "🇳🇪", 1267000.0, 1266700.0, 300.0,
         "Niamey", 13.5117, 2.1253, "13°30′42″N", "2°7′31″E", 24206636.0,
         13678234008.4714, 565.0613, 1262.6042, False, False,
         False, "West African CFA franc", "Fr", "XOF", 34.3, 0.316,
         0.394, "Niger",
    ],
    "nigeria|^NG$|^NGA$": [
         "Nigeria", "Nigeria", "UN member state", "NG", "NGA", 566, ".ng",
         "+234", 9.605753, 8.242418, "9°36′20.7″N", "8°14′32.7″E",
         "Africa", "Western Africa", "🇳🇬", 923768.0, 910768.0, 13000.0,
         "Abuja", 9.0667, 7.4833, "9°4′N", "7°29′E", 206139587.0,
         432293776262.398, 2097.0925, 5186.7235, False, False,
         False, "Nigerian naira", "₦", "NGN", 35.1, 0.361, 0.539,
         "Nigeria",
    ],
    "niue|^NU$|^NIU$": [
         "Niue", "Niue", "Member of 5 UN specialized agencies", "NU", "NIU",
         570, ".nu", "+683", -19.054445, -169.867233, "19°3′16.0″S",
         "169°52′2.0″W", "Oceania", "Polynesia", "🇳🇺", 260.0, 260.0, 0.0,
         "Alofi", -19.0539, -169.92, "19°03′14″S", "169°55′12″W", "", "",
         "", "", False, False, False, "New Zealand dollar", "$", "NZD",
         "", "", "", "Niue",
    ],
    "norfolk|^NF$|^NFK$": [
         "Norfolk Island", "Norfolk Island", "Australia", "NF", "NFK", 574,
         ".nf", "+672", -29.040835, 167.954712, "29°2′27.0″S",
         "167°57′17.0″E", "Oceania", "Australia and New Zealand", "🇳🇫", 36.0,
         36.0, 0.0, "Kingston", -29.05, 167.9667, "29°3′S", "167°58′E",
         "", "", "", "", False, False, False, "Australian dollar", "$",
         "AUD", "", "", "", "Norfolkön",
    ],
    ".*macedonia|^MK$|^MKD$": [
         "North Macedonia", "North Macedonia", "UN member state", "MK", "MKD",
         807, ".mk", "+389", 41.608635, 21.745275, "41°36′31.1″N",
         "21°44′43.0″E", "Europe", "Southern Europe", "🇲🇰", 25713.0,
         25433.0, 280.0, "Skopje", 42.0, 21.4333, "42°0′N", "21°26′E",
         2083380.0, 12266949805.1436, 5888.004, 16926.6241, False,
         False, False, "Macedonian denar", "ден", "MKD", 33.0, 0.557,
         0.774, "Nordmakedonien",
    ],
    ".*mariana|^MP$|^MNP$": [
         "Northern Mariana Islands (the)", "Northern Mariana Islands",
         "United States of America", "MP", "MNP", 580, ".mp", "+1 670",
         17.33083, 145.38469, "17°19′51.0″N", "145°23′4.9″E", "Oceania",
         "Micronesia", "🇲🇵", 464.0, 464.0, 0.0, "Saipan", 15.1833,
         145.75, "15°11′N", "145°45′E", 57557.0, "", "", "", False,
         False, False, "United States dollar", "$", "USD", "", "", "",
         "Nordmarianerna",
    ],
    "norway|^NO$|^NOR$": [
         "Norway", "Norway", "UN member state", "NO", "NOR", 578, ".no",
         "+47", 61.174333, 8.895294, "61°10′27.6″N", "8°53′43.1″E",
         "Europe", "Northern Europe", "🇳🇴", 323802.0, 304282.0, 19520.0,
         "Oslo", 59.9139, 10.7522, "59°54′50″N", "10°45′8″E", 5379475.0,
         362008956544.827, 67294.477, 63197.9815, True, False,
         True, "Norwegian krone", "kr", "NOK", 27.6, 0.771, 0.957,
         "Norge",
    ],
    "oman|^OM$|^OMN$": [
         "Oman", "Oman", "UN member state", "OM", "OMN", 512, ".om", "+968",
         21.135713, 56.981732, "21°8′8.6″N", "56°58′54.2″E", "Asia",
         "Western Asia", "🇴🇲", 309500.0, 309500.0, 0.0, "Muscat",
         23.5889, 58.4083, "23°35′20″N", "58°24′30″E", 5106622.0, "", "",
         "", False, False, False, "Omani rial", "ر.ع.", "OMR", "",
         0.608, 0.813, "Oman",
    ],
    "pakistan|^PK$|^PAK$": [
         "Pakistan", "Pakistan", "UN member state", "PK", "PAK", 586, ".pk",
         "+92", 29.002557, 68.194971, "29°0′9.2″N", "68°11′41.9″E", "Asia",
         "Southern Asia", "🇵🇰", 796095.0, 770875.0, 25220.0, "Islamabad",
         33.6931, 73.0639, "33°41′35″N", "73°03′50″E", 220892331.0,
         263686552686.208, 1193.7334, 4876.6306, False, False,
         False, "Pakistani rupee", "₨", "PKR", 31.6, 0.406, 0.557,
         "Pakistan",
    ],
    "palau|^PW$|^PLW$": [
         "Palau", "Palau", "UN member state", "PW", "PLW", 585, ".pw",
         "+680", 7.51498, 134.58252, "7°30′53.9″N", "134°34′57.1″E",
         "Oceania", "Micronesia", "🇵🇼", 459.0, 459.0, 0.0, "Ngerulmud",
         7.5006, 134.6242, "7°30′2″N", "134°37′27″E", 18092.0, "", "",
         "", False, False, False, "United States dollar", "$", "USD", "",
         0.588, 0.826, "Palau",
    ],
    ".*palestine|^PS$|^PSE$": [
         "Palestine, State of", "Palestine", "UN observer state", "PS", "PSE",
         275, ".ps", "+970", 32.011718, 35.296941, "32°0′42.2″N",
         "35°17′49.0″E", "Asia", "Western Asia", "🇵🇸", "", "", "", "", "", "",
         "", "", 4803269.0, 15561300000.0, 3239.7311, 5690.2875,
         False, False, False, "Israeli new shekel", "₪", "ILS", 33.7,
         0.58, 0.708, "Palestina",
    ],
    "panama|^PA$|^PAN$": [
         "Panama", "Panama", "UN member state", "PA", "PAN", 591, ".pa",
         "+507", 8.799939, -80.277962, "8°47′59.8″N", "80°16′40.7″W",
         "North America", "Central America", "🇵🇦", 75420.0, 74340.0,
         1080.0, "Panama City", 8.9833, -79.5167, "8°59′N", "79°31′W",
         4314768.0, 52938100000.0, 12269.049, 26775.6945, False,
         False, False, "Panamanian balboa", "B/.", "PAB", 49.8, 0.502,
         0.815, "Panama",
    ],
    ".*papua new guinea|^PG$|^PNG$": [
         "Papua New Guinea", "Papua New Guinea", "UN member state", "PG",
         "PNG", 598, ".pg", "+675", -6.314993, 143.95555, "6°18′54.0″S",
         "143°57′20.0″E", "Oceania", "Melanesia", "🇵🇬", 462840.0, 452860.0,
         9980.0, "Port Moresby", -9.4789, 147.1494, "9°28′44″S",
         "147°08′58″E", 8947027.0, 23591523025.2864, 2636.8002,
         4326.4376, False, False, False, "Papua New Guinean kina", "K",
         "PGK", 41.9, 0.429, 0.555, "Papua Nya Guinea",
    ],
    "paraguay|^PY$|^PRY$": [
         "Paraguay", "Paraguay", "UN member state", "PY", "PRY", 600, ".py",
         "+595", -23.478587, -57.855851, "23°28′42.9″S", "57°51′21.1″W",
         "South America", "South America", "🇵🇾", 406752.0, 397302.0,
         9450.0, "Asunción", -25.3, -57.6333, "25°18′S", "57°38′W",
         7132530.0, 35304238230.1132, 4949.7497, 13012.8757, False,
         False, False, "Paraguayan guaraní", "₲", "PYG", 45.7, 0.528,
         0.728, "Paraguay",
    ],
    "peru|^PE$|^PER$": [
         "Peru", "Peru", "UN member state", "PE", "PER", 604, ".pe", "+51",
         -9.189967, -75.015152, "9°11′23.9″S", "75°0′54.5″W",
         "South America", "South America", "🇵🇪", 1285216.0, 1279996.0,
         5220.0, "Lima", -12.05, -77.0333, "12°03′S", "77°02′W",
         32971846.0, 202014363787.233, 6126.8745, 11879.2359, False,
         False, False, "Peruvian sol", "S/", "PEN", 41.5, 0.605,
         0.777, "Peru",
    ],
    ".*philippines|^PH$|^PHL$": [
         "Philippines (the)", "Philippines", "UN member state", "PH", "PHL",
         608, ".ph", "+63", 12.879721, 121.774017, "12°52′47.0″N",
         "121°46′26.5″E", "Asia", "South-Eastern Asia", "🇵🇭", 300000.0,
         298170.0, 1830.0, "Manila", 14.6, 120.9833, "14°36′N",
         "120°59′E", 109581085.0, 361489354350.0, 3298.8299, 8390.3531,
         False, False, False, "Philippine peso", "₱", "PHP", 42.3,
         0.516, 0.718, "Filippinerna",
    ],
    ".*pitcairn|^PN$|^PCN$": [
         "Pitcairn", "Pitcairn", "United Kingdom", "PN", "PCN", 612, ".pn",
         "+64", -24.703615, -127.439308, "24°42′13.0″S", "127°26′21.5″W",
         "Oceania", "Polynesia", "🇵🇳", 47.0, 47.0, 0.0, "Adamstown",
         -25.0667, -130.1, "25°4′S", "130°6′W", "", "", "", "", False,
         False, False, "New Zealand dollar", "$", "NZD", "", "", "",
         "Pitcairnöarna",
    ],
    "poland|^PL$|^POL$": [
         "Poland", "Poland", "UN member state", "PL", "POL", 616, ".pl",
         "+48", 52.118636, 19.362633, "52°7′7.1″N", "19°21′45.5″E",
         "Europe", "Eastern Europe", "🇵🇱", 312685.0, 304255.0, 8430.0,
         "Warsaw", 52.2333, 21.0167, "52°14′N", "21°1′E", 37950802.0,
         594164690894.936, 15656.1827, 34264.7598, True, True,
         True, "Polish złoty", "zł", "PLN", 30.2, 0.753, 0.88, "Polen",
    ],
    "portugal|^PT$|^PRT$": [
         "Portugal", "Portugal", "UN member state", "PT", "PRT", 620, ".pt",
         "+351", 39.662579, -8.236977, "39°39′45.3″N", "8°14′13.1″W",
         "Europe", "Southern Europe", "🇵🇹", 92090.0, 91470.0, 620.0,
         "Lisbon", 38.7253, -9.15, "38°43′31″N", "9°09′00″W", 10305564.0,
         231255587276.741, 22439.8769, 34495.9225, True, True,
         True, "Euro", "€", "EUR", 33.5, 0.769, 0.864, "Portugal",
    ],
    ".*puerto rico|^PR$|^PRI$": [
         "Puerto Rico", "Puerto Rico", "United States of America", "PR", "PRI",
         630, ".pr", "+1 787, +1 939", 18.211562, -66.455213,
         "18°12′41.6″N", "66°27′18.8″W", "North America", "Caribbean", "🇵🇷",
         9104.0, 8959.0, 145.0, "San Juan", 18.4064, -66.0639,
         "18°24′23″N", "66°3′50″W", 3194034.0, 103138300000.0,
         32290.9211, 35279.347, False, False, False,
         "United States dollar", "$", "USD", "", "", "", "Puerto Rico",
    ],
    "qatar|^QA$|^QAT$": [
         "Qatar", "Qatar", "UN member state", "QA", "QAT", 634, ".qa",
         "+974", 25.354826, 51.183884, "25°21′17.4″N", "51°11′2.0″E",
         "Asia", "Western Asia", "🇶🇦", 11586.0, 11586.0, 0.0, "Doha",
         25.2867, 51.5333, "25°17′12″N", "51°32′0″E", 2881060.0,
         146373588866.511, 50805.4636, 89948.6106, False, False,
         False, "Qatari riyal", "ر.ق", "QAR", "", 0.638, 0.848, "Qatar",
    ],
    "romania|^RO$|^ROU$": [
         "Romania", "Romania", "UN member state", "RO", "ROU", 642, ".ro",
         "+40", 45.943161, 24.96676, "45°56′35.4″N", "24°58′0.3″E",
         "Europe", "Eastern Europe", "🇷🇴", 238391.0, 229891.0, 8500.0,
         "Bucharest", 44.4325, 26.1039, "44°25′57″N", "26°6′14″E",
         19286123.0, 248715551366.635, 12896.0886, 31945.7497, False,
         True, True, "Romanian leu", "lei", "RON", 35.8, 0.584,
         0.828, "Rumänien",
    ],
    ".*russia|^RU$|^RUS$": [
         "Russian Federation (the)", "Russia", "UN member state", "RU", "RUS",
         643, ".ru", "+7", 62.206762, 94.444975, "62°12′24.3″N",
         "94°26′41.9″E", "Europe", "Eastern Europe", "🇷🇺", 17098242.0,
         16377742.0, 720500.0, "Moscow", 55.7558, 37.6172,
         "55°45′21″N", "37°37′2″E", 144104080.0, 1483497784867.6,
         10126.7218, 28213.4478, False, False, False,
         "Russian ruble", "₽", "RUB", 37.5, 0.681, 0.824, "Ryssland",
    ],
    "rwanda|^RW$|^RWA$": [
         "Rwanda", "Rwanda", "UN member state", "RW", "RWA", 646, ".rw",
         "+250", -1.940278, 29.873888, "1°56′25.0″S", "29°52′26.0″E",
         "Africa", "Eastern Africa", "🇷🇼", 26338.0, 24668.0, 1670.0,
         "Kigali", -1.9439, 30.0594, "1°56′38″S", "30°3′34″E",
         12952209.0, 10333991891.7032, 797.8556, 2213.9612, False,
         False, False, "Rwandan franc", "Fr", "RWF", 43.7, 0.38,
         0.543, "Rwanda",
    ],
    "réunion|reunion|^RE$|^REU$": [
         "Réunion", "Réunion", "France", "RE", "REU", 638, ".re", "+262",
         -21.115141, 55.536384, "21°6′54.5″S", "55°32′11.0″E", "Africa",
         "Eastern Africa", "🇷🇪", "", "", "", "", "", "", "", "", "", "", "",
         "", False, False, False, "", "", "", "", "", "", "Réunion",
    ],
    ".*barthélemy|.*barthelemy|.*barths|.*barts|^BL$|^BLM$": [
         "Saint Barthélemy", "Saint Barthélemy", "France", "BL", "BLM", 652,
         "", "+590", 17.897655, -62.829007, "17°53′51.6″N", "62°49′44.4″W",
         "North America", "Caribbean", "🇧🇱", 25.0, 25.0, "", "Gustavia",
         17.8979, -62.8506, "17°53′52.47″N", "62°51′2.0″W", "", "", "", "",
         False, False, False, "Euro", "€", "EUR", "", "", "",
         "Saint-Barthélemy",
    ],
    ".*helena|.*ascension|^SH$|^SHN$": [
         "Saint Helena, Ascension and Tristan da Cunha",
         "Saint Helena, Ascension and Tristan da Cunha", "United Kingdom",
         "SH", "SHN", 654, ".sh", "+290", -15.967011, -5.704086,
         "15°58′1.2″S", "5°42′14.7″W", "Africa", "Western Africa", "🇸🇭",
         394.0, 122.0, 0.0, "Jamestown", -15.9244, -5.7181,
         "15°55′28″S", "5°43′5″W", "", "", "", "", False, False, False,
         "Saint Helena pound", "£", "SHP", "", "", "", "Sankta Helena",
    ],
    ".*kitts|^KN$|^KNA$": [
         "Saint Kitts and Nevis", "Saint Kitts and Nevis", "UN member state",
         "KN", "KNA", 659, ".kn", "+1 869", 17.357822, -62.782998,
         "17°21′28.2″N", "62°46′58.8″W", "North America", "Caribbean", "🇰🇳",
         261.0, 261.0, 0.0, "Basseterre", 17.3, -62.7333, "17°18′N",
         "62°44′W", 53192.0, 927451851.851852, 17435.9274, 24536.6518,
         False, False, False, "Eastern Caribbean dollar", "$", "XCD", "",
         0.586, 0.779, "Saint Kitts och Nevis",
    ],
    ".*lucia|^LC$|^LCA$": [
         "Saint Lucia", "Saint Lucia", "UN member state", "LC", "LCA", 662,
         ".lc", "+1 758", 13.909444, -60.978893, "13°54′34.0″N",
         "60°58′44.0″W", "North America", "Caribbean", "🇱🇨", 616.0, 606.0,
         10.0, "Castries", 14.0167, -60.9833, "14°01′N", "60°59′W",
         183629.0, 1703364240.74074, 9276.1178, 12943.8219, False,
         False, False, "Eastern Caribbean dollar", "$", "XCD", 51.2,
         0.603, 0.759, "Saint Lucia",
    ],
    "(?=.*saint|.*st).*martin|^MF$|^MAF$": [
         "Saint Martin (French part)", "Saint Martin", "France", "MF", "MAF",
         663, "", "+590", 18.085813, -63.049643, "18°5′8.9″N",
         "63°2′58.7″W", "North America", "Caribbean", "🇲🇫", 54.4, 54.4, "",
         "Marigot", 18.0731, -63.0822, "18°04′23″N", "63°04′56″W",
         38659.0, "", "", "", False, False, False, "Euro", "€", "EUR",
         "", "", "", "Saint-Martin",
    ],
    ".*miquelon|^PM$|^SPM$": [
         "Saint Pierre and Miquelon", "Saint Pierre and Miquelon", "France",
         "PM", "SPM", 666, ".pm", "+508", 46.961783, -56.326792,
         "46°57′42.4″N", "56°19′36.5″W", "North America", "Northern America",
         "🇵🇲", 242.0, 242.0, 0.0, "St. Pierre", 46.7778, -56.1778,
         "46°46′40″N", "56°10′40″W", "", "", "", "", False, False, False,
         "Euro", "€", "EUR", "", "", "", "Saint-Pierre och Miquelon",
    ],
    ".*vincent|.*grenadines|^VC$|^VCT$": [
         "Saint Vincent and the Grenadines",
         "Saint Vincent and the Grenadines", "UN member state", "VC", "VCT",
         670, ".vc", "+1 784", 13.250843, -61.189338, "13°15′3.0″N",
         "61°11′21.6″W", "North America", "Caribbean", "🇻🇨", 389.0, 389.0,
         0.0, "Kingstown", 13.1578, -61.225, "13°09′28″N", "061°13′30″W",
         110947.0, 809681481.481481, 7297.9123, 12770.1492, False,
         False, False, "Eastern Caribbean dollar", "$", "XCD", "", 0.533,
         0.738, "Saint Vincent och Grenadinerna",
    ],
    "samoa|^WS$|^WSM$": [
         "Samoa", "Samoa", "UN member state", "WS", "WSM", 882, ".ws",
         "+685", -13.759029, -172.104629, "13°45′32.5″S", "172°6′16.7″W",
         "Oceania", "Polynesia", "🇼🇸", 2831.0, 2821.0, 10.0, "Apia",
         -13.8333, -171.75, "13°50′S", "171°45′W", 198410.0,
         807027244.42138, 4067.4726, "", False, False, False,
         "Samoan tālā", "T", "WST", 38.7, 0.548, 0.715, "Samoa",
    ],
    "san marino|^SM$|^SMR$": [
         "San Marino", "San Marino", "UN member state", "SM", "SMR", 674,
         ".sm", "+378", 43.94236, 12.457777, "43°56′32.5″N",
         "12°27′28.0″E", "Europe", "Southern Europe", "🇸🇲", 61.0, 61.0,
         0.0, "San Marino", 43.9346, 12.4473, "43°56′4.56″N",
         "12°26′50.28″E", 33938.0, "", "", "", False, False, False,
         "Euro", "€", "EUR", "", "", "", "San Marino",
    ],
    ".*tome|.*tomé|^ST$|^STP$": [
         "São Tomé and Príncipe", "São Tomé and Príncipe", "UN member state",
         "ST", "STP", 678, ".st", "+239", 0.250674, 6.604415,
         "0°15′2.4″N", "6°36′15.9″E", "Africa", "Middle Africa", "🇸🇹", 964.0,
         964.0, 0.0, "São Tomé", 0.3361, 6.7306, "0°20′10″N",
         "6°43′50″E", 219161.0, 472914469.91933, 2157.8404, 4274.099,
         False, False, False, "São Tomé and Príncipe dobra", "Db", "STN",
         56.3, "", 0.625, "São Tomé och Príncipe",
    ],
    "saudi|^SA$|^SAU$": [
         "Saudi Arabia", "Saudi Arabia", "UN member state", "SA", "SAU", 682,
         ".sa", "+966", 23.885942, 45.079162, "23°53′9.4″N", "45°4′45.0″E",
         "Asia", "Western Asia", "🇸🇦", 2149690.0, 2149690.0, 0.0,
         "Riyadh", 24.6333, 46.7167, "24°38′N", "46°43′E", 34813867.0,
         700117873249.269, 20110.3162, 46762.4693, False, False,
         False, "Saudi riyal", "﷼", "SAR", "", 0.576, 0.854,
         "Saudiarabien",
    ],
    "senegal|^SN$|^SEN$": [
         "Senegal", "Senegal", "UN member state", "SN", "SEN", 686, ".sn",
         "+221", 14.497401, -14.452362, "14°29′50.6″N", "14°27′8.5″W",
         "Africa", "Western Africa", "🇸🇳", 196722.0, 192530.0, 4192.0,
         "Dakar", 14.6928, -17.4467, "14°41′34″N", "17°26′48″W",
         16743930.0, 24910904235.857, 1487.7573, 3481.3099, False,
         False, False, "West African CFA franc", "Fr", "XOF", 40.3,
         0.42, 0.512, "Senegal",
    ],
    "(?!.*montenegro).*serbia|^RS$|^SRB$": [
         "Serbia", "Serbia", "UN member state", "RS", "SRB", 688, ".rs",
         "+381", 44.016521, 21.005859, "44°0′59.5″N", "21°0′21.1″E",
         "Europe", "Southern Europe", "🇷🇸", 77474.0, 77474.0, 0.0,
         "Belgrade", 44.8167, 20.4667, "44°49′N", "20°28′E", 6908224.0,
         52960134078.6888, 7666.2445, 19230.6301, False, False,
         False, "Serbian dinar", "дин. or din.", "RSD", 36.2, 0.677,
         0.806, "Serbien",
    ],
    ".*seychelles|^SC$|^SYC$": [
         "Seychelles", "Seychelles", "UN member state", "SC", "SYC", 690,
         ".sc", "+248", -4.679574, 55.491977, "4°40′46.5″S",
         "55°29′31.1″E", "Africa", "Eastern Africa", "🇸🇨", 455.0, 455.0,
         0.0, "Victoria", -4.6167, 55.45, "4°37′S", "55°27′E", 98462.0,
         1124937500.0, 11425.0929, 25699.7291, False, False, False,
         "Seychellois rupee", "₨", "SCR", 32.1, 0.633, 0.796,
         "Seychellerna",
    ],
    ".*sierra leone|selone|^SL$|^SLE$": [
         "Sierra Leone", "Sierra Leone", "UN member state", "SL", "SLE", 694,
         ".sl", "+232", 8.460555, -11.779889, "8°27′38.0″N",
         "11°46′47.6″W", "Africa", "Western Africa", "🇸🇱", 71740.0,
         71620.0, 120.0, "Freetown", 8.4844, -13.2344, "8°29′4″N",
         "13°14′4″W", 7976985.0, 3865018882.89755, 484.5213, 1738.5563,
         False, False, False, "Sierra Leonean leone", "Le", "SLL",
         35.7, 0.363, 0.452, "Sierra Leone",
    ],
    "singapore|^SG$|^SGP$": [
         "Singapore", "Singapore", "UN member state", "SG", "SGP", 702,
         ".sg", "+65", 1.352083, 103.819836, "1°21′7.5″N", "103°49′11.4″E",
         "Asia", "South-Eastern Asia", "🇸🇬", 719.2, 709.2, 10.0,
         "Singapore", 1.2833, 103.8333, "1°17′N", "103°50′E", 5685807.0,
         339998477929.985, 59797.7522, 98525.9544, False, False,
         False, "Singapore dollar", "$", "SGD", "", 0.879, 0.938,
         "Singapore",
    ],
    "(?=.*sint|.*st).*maarten|^SX$|^SXM$": [
         "Sint Maarten (Dutch part)", "Sint Maarten", "Netherlands", "SX",
         "SXM", 534, ".sx", "+1 721", 18.041016, -63.051513,
         "18°2′27.7″N", "63°3′5.4″W", "North America", "Caribbean", "🇸🇽",
         34.0, 34.0, 0.0, "Philipsburg", 18.0236, -63.0458,
         "18°01′25″N", "63°02′45″W", 40812.0, "", "", "", False, False,
         False, "Netherlands Antillean guilder", "ƒ", "ANG", "", "", "",
         "Sint Maarten",
    ],
    ".*slovak|^SK$|^SVK$": [
         "Slovakia", "Slovakia", "UN member state", "SK", "SVK", 703, ".sk",
         "+421", 48.669026, 19.699024, "48°40′8.5″N", "19°41′56.5″E",
         "Europe", "Eastern Europe", "🇸🇰", 49035.0, 48105.0, 930.0,
         "Bratislava", 48.1439, 17.1097, "48°08′38″N", "17°06′35″E",
         5458827.0, 104574146248.364, 19156.8896, 31832.3946, True,
         True, True, "Euro", "€", "EUR", 25.0, 0.665, 0.86,
         "Slovakien",
    ],
    "slovenia|^SI$|^SVN$": [
         "Slovenia", "Slovenia", "UN member state", "SI", "SVN", 705, ".si",
         "+386", 46.151241, 14.995463, "46°9′4.5″N", "14°59′43.7″E",
         "Europe", "Southern Europe", "🇸🇮", 20273.0, 20151.0, 122.0,
         "Ljubljana", 46.0556, 14.5083, "46°03′20″N", "14°30′30″E",
         2100126.0, 52880473699.8803, 25179.6672, 39593.3074, True,
         True, True, "Euro", "€", "EUR", 24.6, 0.775, 0.917,
         "Slovenien",
    ],
    "solomon|^SB$|^SLB$": [
         "Solomon Islands", "Solomon Islands", "UN member state", "SB", "SLB",
         90, ".sb", "+677", -9.64571, 160.156194, "9°38′44.6″S",
         "160°9′22.3″E", "Oceania", "Melanesia", "🇸🇧", 28896.0, 27986.0,
         910.0, "Honiara", -9.4319, 159.9556, "9°25′55″S", "159°57′20″E",
         686878.0, 1551245525.6045, 2258.4004, 2619.219, False,
         False, False, "Solomon Islands dollar", "$", "SBD", 37.1,
         0.42, 0.567, "Salomonöarna",
    ],
    "somalia|^SO$|^SOM$": [
         "Somalia", "Somalia", "UN member state", "SO", "SOM", 706, ".so",
         "+252", 3.687751, 45.41276, "3°41′15.9″N", "45°24′45.9″E",
         "Africa", "Eastern Africa", "🇸🇴", 637657.0, 627337.0, 10320.0,
         "Mogadishu", 2.0333, 45.3333, "02°02′N", "45°20′E", 15893219.0,
         4917607582.22895, 309.4155, 875.1696, False, False, False,
         "Somali shilling", "Sh", "SOS", 36.8, "", "", "Somalia",
    ],
    "(?=.*africa).*south|s[\., ]|^ZA$|^ZAF$": [
         "South Africa", "South Africa", "UN member state", "ZA", "ZAF", 710,
         ".za", "+27", -30.559482, 22.937506, "30°33′34.1″S",
         "22°56′15.0″E", "Africa", "Southern Africa", "🇿🇦", 1219090.0,
         1214470.0, 4620.0, "Bloemfontein, Cape Town, Pretoria",
         -25.7461, 28.188, "25°44′46″S", "28°11′17″E", 59308690.0,
         301923639269.552, 5090.715, 12095.8563, False, False,
         False, "South African rand", "R", "ZAR", 63.0, 0.425, 0.709,
         "Sydafrika",
    ],
    ".*sandwich|^GS$|^SGS$": [
         "South Georgia and the South Sandwich Islands",
         "South Georgia and the South Sandwich Islands", "United Kingdom",
         "GS", "SGS", 239, ".gs", "+500", -54.429579, -36.587909,
         "54°25′46.5″S", "36°35′16.5″W", "", "", "🇬🇸", 3903.0, 3903.0,
         0.0, "King Edward Point", -54.2833, -36.5, "54°17′00″S",
         "36°30′00″W", "", "", "", "", False, False, False,
         "Falkland Islands pound", "£", "FKP", "", "", "", "Sydgeorgien",
    ],
    "(?=.*south).*sudan|^SS$|^SSD$": [
         "South Sudan", "South Sudan", "UN member state", "SS", "SSD", 728,
         ".ss", "+211", 7.005022, 30.211401, "7°0′18.1″N", "30°12′41.0″E",
         "Africa", "Eastern Africa", "🇸🇸", 644329.0, "", "", "Juba", 4.85,
         31.6, "4°51′N", "31°36′E", 11193729.0, "", "", "", False,
         False, False, "South Sudanese pound", "£", "SSP", 44.1, 0.307,
         0.433, "Sydsudan",
    ],
    "spain|^ES$|^ESP$": [
         "Spain", "Spain", "UN member state", "ES", "ESP", 724, ".es", "+34",
         40.463667, -3.74922, "40°27′49.2″N", "3°44′57.2″W", "Europe",
         "Southern Europe", "🇪🇸", 505370.0, 498980.0, 6390.0, "Madrid",
         40.4167, -3.7167, "40°25′N", "3°43′W", 47351567.0,
         1281199091016.35, 27057.1635, 38334.6113, True, True,
         True, "Euro", "€", "EUR", 34.7, 0.728, 0.904, "Spanien",
    ],
    "sri lanka|^LK$|^LKA$": [
         "Sri Lanka", "Sri Lanka", "UN member state", "LK", "LKA", 144,
         ".lk", "+94", 7.873054, 80.771797, "7°52′23.0″N", "80°46′18.5″E",
         "Asia", "Southern Asia", "🇱🇰", 65610.0, 64630.0, 980.0,
         "Sri Jayawardenepura Kotte", 6.9167, 79.9167, "6°55′N", "79°55′E",
         21919000.0, 80706600228.6499, 3682.0384, 13225.4088, False,
         False, False, "Sri Lankan rupee", "Rs, රු  or  ரூ", "LKR", 39.3,
         0.598, 0.782, "Sri Lanka",
    ],
    "(?!.*south).*sudan|^SD$|^SDN$": [
         "Sudan (the)", "Sudan", "UN member state", "SD", "SDN", 729, ".sd",
         "+249", 16.540312, 30.450219, "16°32′25.1″N", "30°27′0.8″E",
         "Africa", "Northern Africa", "🇸🇩", 1861484.0, 1731671.0,
         129813.0, "Khartoum", 15.5006, 32.56, "15°30′2″N", "32°33′36″E",
         43849269.0, 26110829190.4008, 595.4678, 4243.7819, False,
         False, False, "Sudanese pound", "ج.س.", "SDG", 34.2, 0.377,
         0.51, "Sudan",
    ],
    "surinam|^SR$|^SUR$": [
         "Suriname", "Suriname", "UN member state", "SR", "SUR", 740, ".sr",
         "+597", 3.919305, -56.027783, "3°55′9.5″N", "56°1′40.0″W",
         "South America", "South America", "🇸🇷", 163820.0, 156000.0,
         7820.0, "Paramaribo", 5.8522, -55.2039, "5°51′8″N",
         "55°12′14″W", 586634.0, 3807922874.48306, 6491.1391,
         17015.9603, False, False, False, "Surinamese dollar", "$",
         "SRD", "", "", 0.738, "Surinam",
    ],
    "(?=.*svalbard).*jan mayen|^SJ$|^SJM$": [
         "Svalbard and Jan Mayen", "Svalbard and Jan Mayen", "Norway", "SJ",
         "SJM", 744, "", "+47", 78.792212, 19.159548, "78°47′32.0″N",
         "19°9′34.4″E", "Europe", "Northern Europe", "🇸🇯", "", "", "", "", "",
         "", "", "", "", "", "", "", False, False, False,
         "Norwegian krone", "kr", "NOK", "", "", "", "Svalbard och Jan Mayen",
    ],
    "sweden|^SE$|^SWE$": [
         "Sweden", "Sweden", "UN member state", "SE", "SWE", 752, ".se",
         "+46", 62.783193, 15.345713, "62°46′59.5″N", "15°20′44.6″E",
         "Europe", "Northern Europe", "🇸🇪", 450295.0, 410335.0, 39960.0,
         "Stockholm", 59.3294, 18.0686, "59°19′46″N", "18°4′7″E",
         10353442.0, 537609865719.019, 51925.7138, 54563.1214, True,
         True, True, "Swedish krona", "kr", "SEK", 30.0, 0.795,
         0.945, "Sverige",
    ],
    "switzerland|^CH$|^CHE$": [
         "Switzerland", "Switzerland", "UN member state", "CH", "CHE", 756,
         ".ch", "+41", 46.818188, 8.227512, "46°49′5.5″N", "8°13′39.0″E",
         "Europe", "Western Europe", "🇨🇭", 41277.0, 39997.0, 1280.0,
         "Bern", 46.9481, 7.4475, "46°56′53″N", "7°26′51″E", 8636896.0,
         747968636174.008, 86601.5564, 71352.3526, True, False,
         False, "Swiss franc", "Fr.", "CHF", 33.1, 0.756, 0.955,
         "Schweiz",
    ],
    ".*syria|^SY$|^SYR$": [
         "Syrian Arab Republic (the)", "Syria", "UN member state", "SY", "SYR",
         760, ".sy", "+963", 35.024716, 38.597095, "35°1′29.0″N",
         "38°35′49.5″E", "Asia", "Western Asia", "🇸🇾", 187437.0, 185887.0,
         1550.0, "Damascus", 33.5131, 36.2919, "33°30′47″N",
         "36°17′31″E", 17500657.0, "", "", "", False, False, False,
         "Syrian pound", "£ or ل.س", "SYP", 37.5, "", 0.567, "Syrien",
    ],
    "taiwan|^TW$|^TWN$": [
         "Taiwan (Province of China)", "Taiwan", "Disputed", "TW", "TWN",
         158, ".tw", "+886", 23.69781, 120.960515, "23°41′52.1″N",
         "120°57′37.9″E", "Asia", "Eastern Asia", "🇹🇼", 35980.0, 32260.0,
         3720.0, "Taipei", 25.0667, 121.5167, "25°04′N", "121°31′E", "",
         "", "", "", False, False, False, "New Taiwan dollar", "$",
         "TWD", "", "", "", "Taiwan",
    ],
    "tajikistan|^TJ$|^TJK$": [
         "Tajikistan", "Tajikistan", "UN member state", "TJ", "TJK", 762,
         ".tj", "+992", 38.861034, 71.276093, "38°51′39.7″N",
         "71°16′33.9″E", "Asia", "Central Asia", "🇹🇯", 144100.0, 141510.0,
         2590.0, "Dushanbe", 38.5367, 68.78, "38°32′12″N", "68°46′48″E",
         9537642.0, 8194150301.78552, 859.138, 3858.4294, False,
         False, False, "Tajikistani samani", "ЅМ", "TJS", 34.0, 0.504,
         0.668, "Tadzjikistan",
    ],
    ".*tanzania|^TZ$|^TZA$": [
         "Tanzania, the United Republic of", "Tanzania", "UN member state",
         "TZ", "TZA", 834, ".tz", "+255", -6.369028, 34.888822,
         "6°22′8.5″S", "34°53′19.8″E", "Africa", "Eastern Africa", "🇹🇿",
         947300.0, 885800.0, 61500.0, "Dodoma", -6.1731, 35.7419,
         "6°10′23″S", "35°44′31″E", 59734213.0, 62409748426.5824,
         1076.4704, 2780.0555, False, False, False,
         "Tanzanian shilling", "Sh", "TZS", 40.5, 0.39, 0.529,
         "Tanzania",
    ],
    "thailand|^TH$|^THA$": [
         "Thailand", "Thailand", "UN member state", "TH", "THA", 764, ".th",
         "+66", 15.870032, 100.992541, "15°52′12.1″N", "100°59′33.1″E",
         "Asia", "South-Eastern Asia", "🇹🇭", 513120.0, 510890.0, 2230.0,
         "Bangkok", 13.7525, 100.4942, "13°45′09″N", "100°29′39″E",
         69799978.0, 501794961925.244, 7189.0418, 18236.1761, False,
         False, False, "Thai baht", "฿", "THB", 34.9, 0.609, 0.777,
         "Thailand",
    ],
    "timor.*lest|east timor|^TL$|^TLS$": [
         "Timor-Leste", "Timor-Leste", "UN member state", "TL", "TLS", 626,
         ".tl", "+670", -8.874217, 125.727539, "8°52′27.2″S",
         "125°43′39.1″E", "Asia", "South-Eastern Asia", "🇹🇱", 14874.0,
         14874.0, 0.0, "Dili", -8.5667, 125.5667, "8°34′S", "125°34′E",
         1318442.0, 1821000000.0, 1381.1757, 3355.8296, False,
         False, False, "United States dollar", "$", "USD", 28.7, 0.454,
         0.606, "Östtimor",
    ],
    "togo|^TG$|^TGO$": [
         "Togo", "Togo", "UN member state", "TG", "TGO", 768, ".tg", "+228",
         8.650573, 1.075668, "8°39′2.1″N", "1°4′32.4″E", "Africa",
         "Western Africa", "🇹🇬", 56785.0, 54385.0, 2400.0, "Lomé",
         6.1319, 1.2228, "6°7′55″N", "1°13′22″E", 8278737.0,
         7574635241.30191, 914.9506, 2223.6315, False, False,
         False, "West African CFA franc", "Fr", "XOF", 43.1, 0.432,
         0.515, "Togo",
    ],
    "tokelau|^TK$|^TKL$": [
         "Tokelau", "Tokelau ", "New Zealand", "TK", "TKL", 772, ".tk",
         "+690", -8.967363, -171.855881, "8°58′2.5″S", "171°51′21.2″W",
         "Oceania", "Polynesia", "🇹🇰", 12.0, 12.0, 0.0, "", "", "", "",
         "", "", "", "", "", False, False, False, "New Zealand dollar",
         "$", "NZD", "", "", "", "Tokelauöarna",
    ],
    "tonga|^TO$|^TON$": [
         "Tonga", "Tonga", "UN member state", "TO", "TON", 776, ".to",
         "+676", -21.178986, -175.198242, "21°10′44.3″S", "175°11′53.7″W",
         "Oceania", "Polynesia", "🇹🇴", 747.0, 717.0, 30.0, "Nukuʻalofa",
         -21.1333, -175.2, "21°8′0″S", "175°12′0″W", 105697.0, "", "",
         "", False, False, False, "Tongan paʻanga", "T$", "TOP", 37.6,
         0.531, 0.725, "Tonga",
    ],
    ".*trinidad|.*tobago|^TT$|^TTO$": [
         "Trinidad and Tobago", "Trinidad and Tobago", "UN member state", "TT",
         "TTO", 780, ".tt", "+1 868", 10.448289, -61.257943,
         "10°26′53.8″N", "61°15′28.6″W", "North America", "Caribbean", "🇹🇹",
         5128.0, 5128.0, 0.0, "Port of Spain", 10.6667, -61.5167,
         "10°40′N", "61°31′W", 1399491.0, 21529824769.2969, 15384.0395,
         25031.1922, False, False, False, "Trinidad and Tobago dollar",
         "$", "TTD", "", 0.603, 0.796, "Trinidad och Tobago",
    ],
    "tunisia|^TN$|^TUN$": [
         "Tunisia", "Tunisia", "UN member state", "TN", "TUN", 788, ".tn",
         "+216", 33.886917, 9.537499, "33°53′12.9″N", "9°32′15.0″E",
         "Africa", "Northern Africa", "🇹🇳", 163610.0, 155360.0, 8250.0,
         "Tunis", 36.8064, 10.1817, "36°48′23″N", "10°10′54″E",
         11818618.0, 39235672868.2722, 3319.819, 10261.6908, False,
         False, False, "Tunisian dinar", "د.ت", "TND", 32.8, 0.517,
         0.74, "Tunisien",
    ],
    "turkey|^TR$|^TUR$": [
         "Turkey", "Turkey", "UN member state", "TR", "TUR", 792, ".tr",
         "+90", 38.963745, 35.243322, "38°57′49.5″N", "35°14′36.0″E",
         "Asia", "Western Asia", "🇹🇷", 783562.0, 769632.0, 13930.0,
         "Ankara", 39.93, 32.85, "39°55′48″N", "32°51′00″E", 84339067.0,
         720101212394.114, 8538.1691, 28119.453, True, False,
         False, "Turkish lira", "₺", "TRY", 41.9, 0.649, 0.82,
         "Turkiet",
    ],
    "turkmenistan|^TM$|^TKM$": [
         "Turkmenistan", "Turkmenistan", "UN member state", "TM", "TKM", 795,
         ".tm", "+993", 39.759206, 58.769464, "39°45′33.1″N",
         "58°46′10.1″E", "Asia", "Central Asia", "🇹🇲", 488100.0, 469930.0,
         18170.0, "Ashgabat", 37.9333, 58.3667, "37°56′N", "58°22′E",
         6031187.0, "", "", "", False, False, False,
         "Turkmenistan manat", "m", "TMT", "", "", 0.715, "Turkmenistan",
    ],
    "(?=.*turks).*caicos|^TC$|^TCA$": [
         "Turks and Caicos Islands (the)", "Turks and Caicos Islands",
         "United Kingdom", "TC", "TCA", 796, ".tc", "+1 649", 21.78032,
         -71.755229, "21°46′49.2″N", "71°45′18.8″W", "North America",
         "Caribbean", "🇹🇨", 948.0, 948.0, 0.0, "Cockburn Town",
         21.4589, -71.1389, "21°27′32″N", "71°08′20″W", 38718.0,
         924583000.0, 23879.9266, 22281.9222, False, False, False,
         "United States dollar", "$", "USD", "", "", "",
         "Turks- och Caicosöarna",
    ],
    "tuvalu|^TV$|^TUV$": [
         "Tuvalu", "Tuvalu", "UN member state", "TV", "TUV", 798, ".tv",
         "+688", -7.109535, 177.64933, "7°6′34.3″S", "177°38′57.6″E",
         "Oceania", "Polynesia", "🇹🇻", 26.0, 26.0, 0.0, "Funafuti",
         -8.5167, 179.2, "08°31′S", "179°12′E", 11792.0,
         48855550.2030142, 4143.1098, 4653.2337, False, False,
         False, "Tuvaluan dollar", "$", "TVD", 39.1, 0.448, "", "Tuvalu",
    ],
    "uganda|^UG$|^UGA$": [
         "Uganda", "Uganda", "UN member state", "UG", "UGA", 800, ".ug",
         "+256", 1.368864, 32.68777, "1°22′7.9″N", "32°41′16.0″E",
         "Africa", "Eastern Africa", "🇺🇬", 241038.0, 197100.0, 43938.0,
         "Kampala", 0.3136, 32.5811, "00°18′49″N", "32°34′52″E",
         45741000.0, 37372032557.5944, 817.0358, 2297.1787, False,
         False, False, "Ugandan shilling", "Sh", "UGX", 42.8, 0.384,
         0.544, "Uganda",
    ],
    "ukraine|^UA$|^UKR$": [
         "Ukraine", "Ukraine", "UN member state", "UA", "UKR", 804, ".ua",
         "+380", 49.19813, 31.503969, "49°11′53.3″N", "31°30′14.3″E",
         "Europe", "Eastern Europe", "🇺🇦", 603550.0, 579330.0, 24220.0,
         "Kyiv", 50.45, 30.5233, "50°27′00″N", "30°31′24″E", 44134693.0,
         155582008717.426, 3726.9271, 13056.7021, False, False,
         False, "Ukrainian hryvnia", "₴", "UAH", 26.6, 0.631, 0.779,
         "Ukraina",
    ],
    ".*united arab emirates|UAE|^AE$|^ARE$": [
         "United Arab Emirates (the)", "United Arab Emirates",
         "UN member state", "AE", "ARE", 784, ".ae", "+971", 23.980666,
         54.573994, "23°58′50.4″N", "54°34′26.4″E", "Asia", "Western Asia",
         "🇦🇪", 83600.0, 83600.0, 0.0, "Abu Dhabi", 24.4667, 54.3667,
         "24°28′N", "54°22′E", 9890400.0, "", "", "", False, False,
         False, "United Arab Emirates dirham", "د.إ", "AED", 26.0, 0.673,
         0.89, "Förenade Arabemiraten",
    ],
    "u\.k\.|united kingdom|gb$|g\.b\.|great britain|^GB$|^GBR$": [
         "United Kingdom of Great Britain and Northern Ireland (the)",
         "United Kingdom", "UN member state", "GB", "GBR", 826, ".uk", "+44",
         53.510554, -1.578321, "53°30′38.0″N", "1°34′42.0″W", "Europe",
         "Northern Europe", "🇬🇧", 243610.0, 241930.0, 1680.0, "London",
         51.5072, -0.1275, "51°30′26″N", "0°7′39″W", 67215293.0,
         2707743777173.91, 40284.6385, 44916.2283, True, False,
         False, "Pound sterling", "£", "GBP", 35.1, 0.783, 0.932,
         "Storbritannien",
    ],
    "(?=.*minor outlying).*(united states|u\.s\.|us$)|^UM$|^UMI$": [
         "United States Minor Outlying Islands (the)",
         "United States Minor Outlying Islands", "United States of America",
         "UM", "UMI", 581, "", "+1", 12.021708, 177.590537,
         "12°1′18.1″N", "177°35′25.9″E", "", "", "🇺🇲", "", "", "", "", "", "",
         "", "", "", "", "", "", False, False, False,
         "United States dollar", "$", "USD", "", "", "",
         "Förenta staternas mindre öar i Oceanien och Västindien",
    ],
    "u[\.]*s[\.]*a[\.]*$|u[\.]*s[\.]*$|.*united states of america|(?!.*minor).*united states$|^US$|^USA$": [
         "United States of America (the)", "United States", "UN member state",
         "US", "USA", 840, ".us", "+1", 39.771005, -98.500016,
         "39°46′15.6″N", "98°30′0.1″W", "North America", "Northern America",
         "🇺🇸", 9833517.0, 9147593.0, 685924.0, "Washington, D.C.",
         38.91, -77.0147, "38°54′36″N", "77°00′53″W", 329484123.0,
         20936600000000.0, 63543.5778, 63543.5778, True, False,
         False, "United States dollar", "$", "USD", 41.4, 0.702, 0.926,
         "USA",
    ],
    "uruguay|^UY$|^URY$": [
         "Uruguay", "Uruguay", "UN member state", "UY", "URY", 858, ".uy",
         "+598", -32.801726, -56.116685, "32°48′6.2″S", "56°7′0.1″W",
         "South America", "South America", "🇺🇾", 176215.0, 175015.0,
         1200.0, "Montevideo", -34.8836, -56.1819, "34°53′1″S",
         "56°10′55″W", 3473727.0, 53628827440.3582, 15438.4117,
         22795.0588, False, False, False, "Uruguayan peso", "$", "UYU",
         39.7, 0.599, 0.817, "Uruguay",
    ],
    "uzbekistan|^UZ$|^UZB$": [
         "Uzbekistan", "Uzbekistan", "UN member state", "UZ", "UZB", 860,
         ".uz", "+998", 41.651192, 63.765843, "41°39′4.3″N",
         "63°45′57.0″E", "Asia", "Central Asia", "🇺🇿", 447400.0, 425400.0,
         22000.0, "Tashkent", 41.3, 69.2667, "41°18′N", "69°16′E",
         34232050.0, 57707189945.4214, 1685.7649, 7378.2547, False,
         False, False, "Uzbekistani soʻm", "so'm or сўм", "UZS", 35.3,
         0.623, 0.72, "Uzbekistan",
    ],
    "vanuatu|^VU$|^VUT$": [
         "Vanuatu", "Vanuatu", "UN member state", "VU", "VUT", 548, ".vu",
         "+678", -15.376706, 166.959158, "15°22′36.1″S", "166°57′33.0″E",
         "Oceania", "Melanesia", "🇻🇺", 12189.0, 12189.0, 0.0,
         "Port Vila", -17.7333, 168.3167, "17°44′S", "168°19′E",
         307150.0, 854793640.145606, 2782.9843, 2914.5103, False,
         False, False, "Vanuatu vatu", "Vt", "VUV", 37.6, 0.455,
         0.609, "Vanuatu",
    ],
    "venezuela|^VE$|^VEN$": [
         "Venezuela (Bolivarian Republic of)", "Venezuela", "UN member state",
         "VE", "VEN", 862, ".ve", "+58", 7.411109, -65.729333,
         "7°24′40.0″N", "65°43′45.6″W", "South America", "South America", "🇻🇪",
         912050.0, 882050.0, 30000.0, "Caracas", 10.4806, -66.9036,
         "10°28′50″N", "66°54′13″W", 28435943.0, "", "", "", False,
         False, False, "Venezuelan bolívar", "Bs.S. or Bs.", "VES", 44.8,
         "", 0.711, "Venezuela",
    ],
    "vietnam|viet nam|^VN$|^VNM$": [
         "Viet Nam", "Viet Nam", "UN member state", "VN", "VNM", 704, ".vn",
         "+84", 14.058324, 108.277199, "14°3′30.0″N", "108°16′37.9″E",
         "Asia", "South-Eastern Asia", "🇻🇳", 331210.0, 310070.0, 21140.0,
         "Hanoi", 21.0283, 105.8542, "21°01′42″N", "105°51′15″E",
         97338583.0, 271158442059.082, 2785.7242, 8650.6537, False,
         False, False, "Vietnamese đồng", "₫", "VND", 35.7, 0.69,
         0.704, "Vietnam",
    ],
    "(?=.*virgin).*(u\.k\.|uk$|\(uk\)|british)|^VG$|^VGB$": [
         "Virgin Islands (British)", "Virgin Islands (British)",
         "United Kingdom", "VG", "VGB", 92, ".vg", "+1 284", 18.420695,
         -64.639968, "18°25′14.5″N", "64°38′23.9″W", "North America",
         "Caribbean", "🇻🇬", 151.0, 151.0, 0.0, "Road Town", 18.4314,
         -64.6231, "18°25′53″N", "64°37′23″W", 30237.0, "", "", "",
         False, False, False, "United States dollar", "$", "USD", "", "",
         "", "Brittiska Jungfruöarna",
    ],
    "(?=.*virgin).*(u\.s\.|us$|\(us\)|united states)|^VI$|^VIR$": [
         "Virgin Islands (U.S.)", "Virgin Islands (U.S.)",
         "United States of America", "VI", "VIR", 850, ".vi", "+1 340",
         18.335765, -64.896335, "18°20′8.8″N", "64°53′46.8″W",
         "North America", "Caribbean", "🇻🇮", "", "", "", "Charlotte Amalie",
         18.35, -64.95, "18°21′N", "64°57′W", 106290.0, "", "", "",
         False, False, False, "United States dollar", "$", "USD", "", "",
         "", "Amerikanska Jungfruöarna",
    ],
    "(?=.*wallis).*futuna|^WF$|^WLF$": [
         "Wallis and Futuna", "Wallis and Futuna", "France", "WF", "WLF",
         876, ".wf", "+681", -13.768752, -177.156097, "13°46′7.5″S",
         "177°9′21.9″W", "Oceania", "Polynesia", "🇼🇫", 142.0, 142.0, 0.0,
         "Mata Utu", -13.2833, -176.1833, "13°17′S", "176°11′W", "", "",
         "", "", False, False, False, "CFP franc", "₣", "XPF", "", "",
         "", "Wallis- och Futunaöarna",
    ],
    "(?=.*western).*sahara|^EH$|^ESH$": [
         "Western Sahara", "Western Sahara", "Disputed", "EH", "ESH", 732,
         ".eh", "+212", 24.913479, -13.42188, "24°54′48.5″N",
         "13°25′18.8″W", "Africa", "Northern Africa", "🇪🇭", 266000.0,
         266000.0, 0.0, "El Aaiún", 27.1536, -13.2033, "27°9′13″N",
         "13°12′12″W", "", "", "", "", False, False, False, "", "", "",
         "", "", "", "Västsahara",
    ],
    "yemen|^YE$|^YEM$": [
         "Yemen", "Yemen", "UN member state", "YE", "YEM", 887, ".ye",
         "+967", 15.552727, 48.516388, "15°33′9.8″N", "48°30′59.0″E",
         "Asia", "Western Asia", "🇾🇪", 527968.0, 527968.0, 0.0, "Aden",
         12.8, 45.0333, "12°48′N", "45°02′E", 29825968.0, "", "", "",
         False, False, False, "Yemeni rial", "﷼", "YER", 36.7, 0.373,
         0.47, "Jemen",
    ],
    "zambia|^ZM$|^ZMB$": [
         "Zambia", "Zambia", "UN member state", "ZM", "ZMB", 894, ".zm",
         "+260", -13.747852, 27.804593, "13°44′52.3″S", "27°48′16.5″E",
         "Africa", "Eastern Africa", "🇿🇲", 752618.0, 743398.0, 9220.0,
         "Lusaka", -15.4167, 28.2833, "15°25′S", "28°17′E", 18383956.0,
         19320053859.279, 1050.9193, 3449.6093, False, False,
         False, "Zambian kwacha", "ZK", "ZMW", 57.1, 0.397, 0.584,
         "Zambia",
    ],
    "zimbabwe|^ZW$|^ZWE$": [
         "Zimbabwe", "Zimbabwe", "UN member state", "ZW", "ZWE", 716, ".zw",
         "+263", -18.985133, 29.889704, "18°59′6.5″S", "29°53′22.9″E",
         "Africa", "Eastern Africa", "🇿🇼", 390757.0, 386847.0, 3910.0,
         "Harare", -17.8292, 31.0522, "17°49′45″S", "31°3′8″E",
         14862927.0, 16768513442.6415, 1128.2107, 2895.4156, False,
         False, False, "RTGS dollar", "ZWL$", "ZWB", 50.3, 0.467,
         0.571, "Zimbabwe",
    ],
    "(?!.*[z]).*(a|å)land|^AX$|^ALA$": [
         "Åland Islands", "Åland Islands", "Finland", "AX", "ALA", 248,
         ".ax", "+358 18", 60.209445, 20.134315, "60°12′34.0″N",
         "20°8′3.5″E", "", "", "🇦🇽", "", "", "", "Mariehamn", 60.1,
         19.9333, "60°06′N", "019°56′E", "", "", "", "", False, False,
         False, "Euro", "€", "EUR", "", "", "", "Åland",
    ],
}